GNU bug report logs - #31968
26.1.50; Allow to hide title bar on maximize (gtk/gnome/csd)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Carlos Pita <carlosjosepita@HIDDEN>; dated Mon, 25 Jun 2018 20:45:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 4 Sep 2020 04:15:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 04 00:15:48 2020
Received: from localhost ([127.0.0.1]:36867 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kE38e-0005cu-EF
	for submit <at> debbugs.gnu.org; Fri, 04 Sep 2020 00:15:48 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kE38c-0005Wn-O6
 for 31968 <at> debbugs.gnu.org; Fri, 04 Sep 2020 00:15:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:To:From:Sender:Reply-To:Cc:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=jwzN/AoLbbVLOhkcy0l8ykXi6k7Y/bu88ysb8dJ7W8U=; b=WCRJzdf2J+CDaEVR13dW5IoUuP
 fHiLC9KowFdjPXgQ7jwuf4vzD2M+t77iB1u0IZf1UFm5OjMAwbZXDgi6shvnFjbhvxne9uVW18LFs
 Bc6tpmfsQx15y5cPiKITKinqrMXqNrmhbGNcaejnXUzwl9H2+sDuj2mHjdaVxFGILM+U=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kE38U-0002Pc-CG; Fri, 04 Sep 2020 06:15:40 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>,  31968 <at> debbugs.gnu.org,  Carlos Pita
 <carlosjosepita@HIDDEN>
Subject: Re: bug#31968: 26.1.50; Allow to hide title bar on maximize
 (gtk/gnome/csd)
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN>
X-Now-Playing: Machinedrum's _Vapor City Citizenship Programme_: "Vapor City
 - Vizion Centre Mix"
Date: Fri, 04 Sep 2020 06:15:37 +0200
In-Reply-To: <878t6zaq66.fsf@HIDDEN> (Robert Pluim's message of "Thu, 28
 Jun 2018 17:25:53 +0200")
Message-ID: <87zh66dvo6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Robert Pluim <rpluim@HIDDEN> writes: > Patch attached.
 It sets the correct property on my emacs frame for me, > but it appears KWin
 ignores that, so I see no effect. No doubt needs a > few more USE_GTK ifdef
 checks. Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31968
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

> Patch attached. It sets the correct property on my emacs frame for me,
> but it appears KWin ignores that, so I see no effect. No doubt needs a
> few more USE_GTK ifdef checks.

[...]

> +void
> +xg_set_hide_titlebar_when_maximized (struct frame *f, Lisp_Object hide)

Reading this thread, I'm not quite sure what the outcome was.  It seemed
like this approach worked for Carlos in some environments, and in the
one it didn't work (Cinnamon), that one got support for it after he
reported that as a bug to the Cinnamon people?

So should something like this be added?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 3 Jul 2018 23:36:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 03 19:36:00 2018
Received: from localhost ([127.0.0.1]:45729 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1faUpz-000558-QU
	for submit <at> debbugs.gnu.org; Tue, 03 Jul 2018 19:35:59 -0400
Received: from mail-yw0-f175.google.com ([209.85.161.175]:45949)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1faUpy-00054w-Tt
 for 31968 <at> debbugs.gnu.org; Tue, 03 Jul 2018 19:35:59 -0400
Received: by mail-yw0-f175.google.com with SMTP id 139-v6so1296057ywg.12
 for <31968 <at> debbugs.gnu.org>; Tue, 03 Jul 2018 16:35:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=xXQUrc+rXINZOjt514V2pfkqwruViVorojWJCeE3ymI=;
 b=VbOHu+Xw+57T2K7r8v8delEXPKsA4lFtCntRDy2H+0QIoGnEw++OhoMW9fSd1tlPOE
 sdapIvvT+KXPdmbe+eRn83/lkDLbeVVapvcsxLuZlr7b5rVgcRJ8J1Fyo2Ocpgve9Hmj
 CrWAqCHXCmsBF9qFyCWgzQ8ShL0qeYL1HpeN3s5Sj2OuyFICG0ScdaiAQxhY0TgqCdE+
 PxgGA3T1Kd+EMxcFjBv/ElRf1K5pLtEwN8VUdLPTKPmqqLTr0qV57xGaIrMWyRP3ZdJV
 9i/d8EC8dltTHU8GRXaU5aCsEyvdNmj3fX2se9NBgoFfFhVXy4VCR0So4PS6WFo3xBGi
 eGbw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=xXQUrc+rXINZOjt514V2pfkqwruViVorojWJCeE3ymI=;
 b=MNytMszd06nWnMlbfNOBz0vkOq4ZK0PxFO0HkEqOI4ShpK4hrpxkYZ/mhKCJ/xIoQ4
 Ju34AVnXIFD+qwFsIozDjiPY1yXqslTYlcQHm/AeJoeZqO2+ML02Ne/V04+iL5Ceygxn
 qw9P8OyyYiGydzQS29vrriwVHB6VHYlKnn5QpxChgN6gCsU5WAKuGI64sYHKrnwtwnd1
 y1Yk9P3uMup8aVasRgTRHuTfe3gG8LrP6qimV5yJREfMBZW7bPvFls3K1tR7MZPvoSVZ
 J62w+hvAY9ri6m8EhxjWprhdLGhu8vRML1G5SOvMAqDGvGXmx235VjZDoga8c2EV9r3p
 uvxg==
X-Gm-Message-State: APt69E2MJMFebCYN7iHg+eCmi6y3h70XfQ/u55LVULcvpdWCmJYRo52/
 2ilKv2N42dHC/f+OeULNAuBc8ojhZ0kKLdPMsrM=
X-Google-Smtp-Source: AAOMgpfrvwVXYbybZvVwhTY7oYy6+B8KnMzsT7xEM8h/KYupUp/rtN/cS/5x0ymVunHENGzV5NSLyb9whjvtYMlSIiE=
X-Received: by 2002:a0d:f587:: with SMTP id
 e129-v6mr14826084ywf.277.1530660953318; 
 Tue, 03 Jul 2018 16:35:53 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a25:7d83:0:0:0:0:0 with HTTP;
 Tue, 3 Jul 2018 16:35:32 -0700 (PDT)
In-Reply-To: <CAELgYhfba7SQGtnJPORVikxM8mwaqyaQoDq6FXmqXNsSvuBKpQ@HIDDEN>
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN> <5B35F0ED.3070409@HIDDEN>
 <874lhmasho.fsf@HIDDEN> <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
 <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
 <CAELgYhcRcgFx7_Hu=QQ5swi+99en2gN8GAZ3M_omT8EYmuUHVg@HIDDEN>
 <CAELgYhc+fB9G1NT93Fovqb0EhSQ4-t3scrYBB=EkrNXpWNno6Q@HIDDEN>
 <5B389924.5040104@HIDDEN>
 <CAELgYhfUL1JscWX2MSY+A2tO2-+=Wi4ZtXSooXnPDQtrVB-2QQ@HIDDEN>
 <CAELgYhe-ras=WThgVJdTn2ziyEJwPn=1eoCYUkJcEq2u-4ftoA@HIDDEN>
 <CAELgYhc=Q3VuuCjFtOx4=WDCT0Rj5LbSGq9HZFN7CkCtr0+rDQ@HIDDEN>
 <CAELgYhfY_F_ExjBVATdzPiV5VGGDOB3UNSHUj5xMp6M2jqwR2A@HIDDEN>
 <87r2klepnl.fsf@HIDDEN>
 <CAELgYhd-tuHyCBra9Oryx92vgjuokM_RTqyJrT6C_OV2oCLmxQ@HIDDEN>
 <CAELgYhfc-pG91uBPrgJ+tjzNqVnNhmExVrjUn1Mqdev+eiFjWg@HIDDEN>
 <87h8lhcsn1.fsf@HIDDEN>
 <CAELgYhcFDse6icPwbf3-oS5D3SCD8ErfgUrQKSkWxj93hvyPZQ@HIDDEN>
 <CAELgYhdiQR=hqN7SkjtwBztWVR=dt8QHERYNp7VW6ciq-mLCWw@HIDDEN>
 <CAELgYhfba7SQGtnJPORVikxM8mwaqyaQoDq6FXmqXNsSvuBKpQ@HIDDEN>
From: Carlos Pita <carlosjosepita@HIDDEN>
Date: Tue, 3 Jul 2018 20:35:32 -0300
Message-ID: <CAELgYheVnzQpGTsLudyj09QvnHXe_QtbziOKbmcPMQiJocdpCg@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
To: Robert Pluim <rpluim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, Jonathan Kyle Mitchell <kyle@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I've written this utility

   https://github.com/memeplex/maximal

that uses xlib to handle creation events and set the
_GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED for normal windows.

It comes with a few goodies: blacklist/whitelist, disable/resume, pip
installation, but nevertheless it's quite a humble script.

I mention it here because:

1. Someone reading this might want to get the feature before emacs 27.

2. Given that one can blacklist everything and whitelist just emacs,
it could be seen as a solution for this issue (although I understand
you might still want to implement it as a feature of emacs itself).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 3 Jul 2018 02:09:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 02 22:09:26 2018
Received: from localhost ([127.0.0.1]:44229 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1faAkv-0004Ts-Qz
	for submit <at> debbugs.gnu.org; Mon, 02 Jul 2018 22:09:26 -0400
Received: from mail-yb0-f171.google.com ([209.85.213.171]:36633)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1faAku-0004Tf-0y
 for 31968 <at> debbugs.gnu.org; Mon, 02 Jul 2018 22:09:24 -0400
Received: by mail-yb0-f171.google.com with SMTP id s1-v6so141393ybk.3
 for <31968 <at> debbugs.gnu.org>; Mon, 02 Jul 2018 19:09:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=yOMqa5MXIXpCVKT1tA5xNOAxMbL93wZftWdR2cUB/MU=;
 b=ah9Z4jgRfWr71Vd44j8EK//GNq5J9nUPZwj0Drr0BUq4ece0IobrUi05HZ1Jxb04nL
 tg9pEAztzzmU8eV68/UGuLpCO8PaFqD8EaNLL+7m1Q3DUGk6uD25KFGtFoMqV+SwQ0bT
 sipXEx3jEXmkRrdeDRq+hyFTr5es32I2iW3xN1PLYbfFyyjpLsV67PtRZBch4PnpBW4L
 zC+RiJslIc2VTPSh07uTPH0QBN5rC+cbAlNkCfNYLJQ+aDEFG2gIHuhLoFZoMmL3WJOg
 /JhbsvhKMfGBoTUNQGnW+egQDMZ6u1O3wg0eJvjNcF3TP7snHCYjHamhyinN4/D5J4Ij
 Db/A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=yOMqa5MXIXpCVKT1tA5xNOAxMbL93wZftWdR2cUB/MU=;
 b=LE7stA6FatMAeoqpUgIw/Z4bXgnoT4ACEDrkXbvvWHSD9rOEGgPCf4W8ed0+2bk1Aj
 UEy0+QIZqqhDsDLQti657HTAXhqsp6B+YTl2sG9xcDs6LgDsAb/SFRzKwe+nDSqzr1Ex
 B2yEJKXJPc3tUh6sjAiHtkuwKU6qiIneYGHHS2D09T0izPFCoQi9YqNW4W/9otxOonik
 kfbdJAvu3zeGu0Q/a1biCJu9BcdEs/iFJ24cgeATAa8pKk1m2pxAtszi9qZb281A+xZP
 KofN9BWEKO4iF4D11IiwklFl2/XD8HHwVJ4y8uo5VXwHO7oc+nQe5r100FpRERe8+8Sp
 gouw==
X-Gm-Message-State: APt69E3FOROHMzI5u+93gsySO8KtEw2YJbLjdlWSiy47Wak/YfpmEwoj
 nE839J3HlmAOto5gXIqxWf6OvZyZtXis5vVkdao=
X-Google-Smtp-Source: ADUXVKKOOSQ3sq2MNpEr/JZxcN11sFI73+DMFRh+ztaPdnC+NKPQq79VKcT/AGYGeiiz/uSo7VIHztRNpgptv92p9O0=
X-Received: by 2002:a25:6282:: with SMTP id
 w124-v6mr14543681ybb.291.1530583758514; 
 Mon, 02 Jul 2018 19:09:18 -0700 (PDT)
MIME-Version: 1.0
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN> <5B35F0ED.3070409@HIDDEN>
 <874lhmasho.fsf@HIDDEN> <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
 <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
 <CAELgYhcRcgFx7_Hu=QQ5swi+99en2gN8GAZ3M_omT8EYmuUHVg@HIDDEN>
 <CAELgYhc+fB9G1NT93Fovqb0EhSQ4-t3scrYBB=EkrNXpWNno6Q@HIDDEN>
 <5B389924.5040104@HIDDEN>
 <CAELgYhfUL1JscWX2MSY+A2tO2-+=Wi4ZtXSooXnPDQtrVB-2QQ@HIDDEN>
 <CAELgYhe-ras=WThgVJdTn2ziyEJwPn=1eoCYUkJcEq2u-4ftoA@HIDDEN>
 <CAELgYhc=Q3VuuCjFtOx4=WDCT0Rj5LbSGq9HZFN7CkCtr0+rDQ@HIDDEN>
 <CAELgYhfY_F_ExjBVATdzPiV5VGGDOB3UNSHUj5xMp6M2jqwR2A@HIDDEN>
 <87r2klepnl.fsf@HIDDEN>
 <CAELgYhd-tuHyCBra9Oryx92vgjuokM_RTqyJrT6C_OV2oCLmxQ@HIDDEN>
 <CAELgYhfc-pG91uBPrgJ+tjzNqVnNhmExVrjUn1Mqdev+eiFjWg@HIDDEN>
 <87h8lhcsn1.fsf@HIDDEN>
 <CAELgYhcFDse6icPwbf3-oS5D3SCD8ErfgUrQKSkWxj93hvyPZQ@HIDDEN>
 <CAELgYhdiQR=hqN7SkjtwBztWVR=dt8QHERYNp7VW6ciq-mLCWw@HIDDEN>
In-Reply-To: <CAELgYhdiQR=hqN7SkjtwBztWVR=dt8QHERYNp7VW6ciq-mLCWw@HIDDEN>
From: Carlos Pita <carlosjosepita@HIDDEN>
Date: Mon, 2 Jul 2018 23:09:05 -0300
Message-ID: <CAELgYhfba7SQGtnJPORVikxM8mwaqyaQoDq6FXmqXNsSvuBKpQ@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
To: Robert Pluim <rpluim@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000039b10805700ecd7f"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, Jonathan Kyle Mitchell <kyle@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000039b10805700ecd7f
Content-Type: text/plain; charset="UTF-8"

These are other desktop environments that I know are able to hide titlebars
on maximize as a WM setting: xfce, plasma, mate. I think if emacs goes the
way of setting _GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED pretty much everything
will be covered (although not always in a per app basis).

On Mon, Jul 2, 2018, 11:06 PM Carlos Pita <carlosjosepita@HIDDEN> wrote:

> Cinnamon just added support for _GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED to
> muffin after I requested it because of this issue!!!
>

--00000000000039b10805700ecd7f
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">These are other desktop environments that I know are able=
 to hide titlebars on maximize as a WM setting: xfce, plasma, mate. I think=
 if emacs goes the way of setting=C2=A0<span style=3D"font-family:sans-seri=
f">_GTK_HIDE_TITLEBAR_WHEN_MAXIMI</span><span style=3D"font-family:sans-ser=
if">ZED pretty much everything will be covered (although not always in a pe=
r app basis).</span></div><br><div class=3D"gmail_quote"><div dir=3D"ltr">O=
n Mon, Jul 2, 2018, 11:06 PM Carlos Pita &lt;<a href=3D"mailto:carlosjosepi=
ta@HIDDEN">carlosjosepita@HIDDEN</a>&gt; wrote:<br></div><blockquote =
class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid=
;padding-left:1ex"><div dir=3D"auto">Cinnamon just added support for=C2=A0<=
span style=3D"font-family:sans-serif">_GTK_HIDE_TITLEBAR_WHEN_MAXIMI</span>=
<span style=3D"font-family:sans-serif">ZED to muffin after I requested it b=
ecause of this issue!!!</span></div>
</blockquote></div>

--00000000000039b10805700ecd7f--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 3 Jul 2018 02:06:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 02 22:06:22 2018
Received: from localhost ([127.0.0.1]:44225 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1faAhy-0004Pc-92
	for submit <at> debbugs.gnu.org; Mon, 02 Jul 2018 22:06:22 -0400
Received: from mail-yw0-f180.google.com ([209.85.161.180]:45677)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1faAhx-0004PQ-2I
 for 31968 <at> debbugs.gnu.org; Mon, 02 Jul 2018 22:06:21 -0400
Received: by mail-yw0-f180.google.com with SMTP id 139-v6so126599ywg.12
 for <31968 <at> debbugs.gnu.org>; Mon, 02 Jul 2018 19:06:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=5wYtVjm34mOy2Bo6oYAYRdDPLPYw0NeJEJEchUNFq9o=;
 b=WNmVLc3gLfoJyOJLWQMpkHFwTrKPmPtKqi93v3HlLaq+VPkY4Z3SNOjqRUcabCcFbi
 qGOSVM2kivea1bxbKC8zyimFS2zuM+4p5ZlHdfwBLmmT25kO1eaQWrZUdwKOPfS/Uy2M
 8/lDdqVvQbs2F4N1KqjoVSXSV1dSTw+KCE6THGo6PATEd86QjbvGm7qD2qYOKjY0PjTm
 TfkM4qVf73sZ8Cseedc6nXjSDhI5SPwulvMk+VspSya2Vib0vRUjN4M4PI5lmb94iI7x
 BR1dJyJPOCNPBgHaCLp4nwLfMCPa95Dcyo28EKQvxabxZyY0qf6lXwNcd7bbvv4gisdQ
 Oe6g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=5wYtVjm34mOy2Bo6oYAYRdDPLPYw0NeJEJEchUNFq9o=;
 b=DBLEyh2MTzpzbsYjc/8URhZR2fyFVoRAj4wmx/Za0L+CHVtUzBKQ+SASSXxYgDYuOX
 iQVH/aGIGRi/yImgDJQvO40AEndkcowUXjXj+OUfYvVYQqwmO7OSrZ7DiMtO/cGst3gl
 TSTihvrHXRFT2f+K8gwUntf0P6kkMN45u5bJqRJHTdZf3Ygkg3EXSXxh9DSE9EpTXZ3p
 pN9ap8i+5garhsMn+6Dh5odsm1yh9yUs8ySg4wczEMKzYH/0xfJkUZnvHM/D9wNZP6Ly
 BJpL1UUg/d+jYhGFONli1ljeQXN08YcXDC/Pkne4tJ9wOjMsqm89FP1AlNjIo82OFiWK
 GPZA==
X-Gm-Message-State: APt69E1EvAeG8lqS8Glf6vFpoKg96WDGmdoaFLxwJAAgeunPm5T8Qh3J
 w6eHRI0ydWsqBgMgzlI5oPW/ZqAHalhNZ6jYOdY=
X-Google-Smtp-Source: AAOMgpfvXRT2e6/mvh+jk8r1L9hyHaJ7vvSTqYsTRGzdZnNSIpHU3Pt2sBxqyB2R6DbgKXa3cl/w3cK7D/uzIXCxLKU=
X-Received: by 2002:a0d:cc12:: with SMTP id
 o18-v6mr3086031ywd.91.1530583575693; 
 Mon, 02 Jul 2018 19:06:15 -0700 (PDT)
MIME-Version: 1.0
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN> <5B35F0ED.3070409@HIDDEN>
 <874lhmasho.fsf@HIDDEN> <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
 <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
 <CAELgYhcRcgFx7_Hu=QQ5swi+99en2gN8GAZ3M_omT8EYmuUHVg@HIDDEN>
 <CAELgYhc+fB9G1NT93Fovqb0EhSQ4-t3scrYBB=EkrNXpWNno6Q@HIDDEN>
 <5B389924.5040104@HIDDEN>
 <CAELgYhfUL1JscWX2MSY+A2tO2-+=Wi4ZtXSooXnPDQtrVB-2QQ@HIDDEN>
 <CAELgYhe-ras=WThgVJdTn2ziyEJwPn=1eoCYUkJcEq2u-4ftoA@HIDDEN>
 <CAELgYhc=Q3VuuCjFtOx4=WDCT0Rj5LbSGq9HZFN7CkCtr0+rDQ@HIDDEN>
 <CAELgYhfY_F_ExjBVATdzPiV5VGGDOB3UNSHUj5xMp6M2jqwR2A@HIDDEN>
 <87r2klepnl.fsf@HIDDEN>
 <CAELgYhd-tuHyCBra9Oryx92vgjuokM_RTqyJrT6C_OV2oCLmxQ@HIDDEN>
 <CAELgYhfc-pG91uBPrgJ+tjzNqVnNhmExVrjUn1Mqdev+eiFjWg@HIDDEN>
 <87h8lhcsn1.fsf@HIDDEN>
 <CAELgYhcFDse6icPwbf3-oS5D3SCD8ErfgUrQKSkWxj93hvyPZQ@HIDDEN>
In-Reply-To: <CAELgYhcFDse6icPwbf3-oS5D3SCD8ErfgUrQKSkWxj93hvyPZQ@HIDDEN>
From: Carlos Pita <carlosjosepita@HIDDEN>
Date: Mon, 2 Jul 2018 23:06:02 -0300
Message-ID: <CAELgYhdiQR=hqN7SkjtwBztWVR=dt8QHERYNp7VW6ciq-mLCWw@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
To: Robert Pluim <rpluim@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000540f5605700ec26c"
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Cinnamon just added support for _GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED
    to muffin after I requested it because of this issue!!! Cinnamon just added
    support forĀ _GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED to muffin after I requested
    it because of this issue!!! [...] 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [209.85.161.180 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (carlosjosepita[at]gmail.com)
  1.2 HTML_OBFUSCATE_10_20   BODY: Message is 10% to 20% HTML obfuscation
  0.0 HTML_MESSAGE           BODY: HTML included in message
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, Jonathan Kyle Mitchell <kyle@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--000000000000540f5605700ec26c
Content-Type: text/plain; charset="UTF-8"

Cinnamon just added support for _GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED to muffin
after I requested it because of this issue!!!

--000000000000540f5605700ec26c
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">Cinnamon just added support for=C2=A0<span style=3D"font-=
family:sans-serif">_GTK_HIDE_TITLEBAR_WHEN_MAXIMI</span><span style=3D"font=
-family:sans-serif">ZED to muffin after I requested it because of this issu=
e!!!</span></div>

--000000000000540f5605700ec26c--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 2 Jul 2018 22:30:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 02 18:30:19 2018
Received: from localhost ([127.0.0.1]:44019 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fa7Kt-0005a0-Lr
	for submit <at> debbugs.gnu.org; Mon, 02 Jul 2018 18:30:19 -0400
Received: from mail-yb0-f170.google.com ([209.85.213.170]:34714)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fa7Kr-0005Zl-SB
 for 31968 <at> debbugs.gnu.org; Mon, 02 Jul 2018 18:30:18 -0400
Received: by mail-yb0-f170.google.com with SMTP id e9-v6so220ybq.1
 for <31968 <at> debbugs.gnu.org>; Mon, 02 Jul 2018 15:30:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=IIZfZrxPLUtS1ADPwpoxmaMUrkJKth0sglLZ94WQJGY=;
 b=jSoIktaoKh1hbhEh6UTfgq4wWvNEWle5+PXwR75tJouvI/IVZHP4OyX7Upw9bNzlla
 P3t4tQfIc5ctNUeaR9zr794Ule2k+y+xqkEoCWGbX4sSG96jUZirDwCkg7Y/G2QcoUfI
 RDOkRKBWZcxAN1Ry/sAzu3CjU0xZLeJybQHUY7VLlI4Rrq6b7k9evNPuFHb35AfQ6wnL
 HR0A8jfbL3GEzfbaIoQ1yucbRyelJKXAHfym89uzQzULTb9L3I8pBIhpQ3WQ8/CeUAUA
 WQTdv04tht6dahhhueP+51pZpnSCA5YfDklPZXtP5aFV7W87xhKY30LQvsOixyEVKh0M
 Kn+g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=IIZfZrxPLUtS1ADPwpoxmaMUrkJKth0sglLZ94WQJGY=;
 b=NHt2F+3adiqF5JIs/uWaXJUx6tZfWwpyq8bMkskNaWn1kBh245oPqUVbd/yXic9piw
 rihvc+VCY6RxXY3up64XjJrBAija0jXYE8QpVf0KRGR0mbflSMRsqBaWNt7260egKcjt
 L2mzHEre1N/J9eRXHMVwehKfxmc4s3JaDrQFNv7SjjXZbdb28Qei2gd6VjqkUFTi129P
 RVteQb61Lousu2zsELJ+7LzsQkxNGE0swTPDihcqD3BStTE1uE5Cao5G+9LclYa+xQ4P
 DD4pbztxblDanlk5dNGBrmvP8AdaC7rqi8t4I73boRNbyaq8K5MD3LPKNECmiyAQkTQA
 9XvQ==
X-Gm-Message-State: APt69E1yknz9xaesNMRJqXW3YcCzJTEwSJoCjc6Yq7e4oGJFsAaXNGEe
 G/IwT6RH8ebPwMJz+ams3P8W3I5F+ViMkKpuHX0=
X-Google-Smtp-Source: ADUXVKKCSBg29nxAMo6uTwXA/H1hU2BJresahORNmcwL/WBNFMQnGE+6pwfN4J8uzMO958bNTWq7qAgKScc7lUHvS6s=
X-Received: by 2002:a5b:c09:: with SMTP id
 f9-v6mr13942546ybq.107.1530570612125; 
 Mon, 02 Jul 2018 15:30:12 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a25:7d83:0:0:0:0:0 with HTTP;
 Mon, 2 Jul 2018 15:29:51 -0700 (PDT)
In-Reply-To: <87h8lhcsn1.fsf@HIDDEN>
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN> <5B35F0ED.3070409@HIDDEN>
 <874lhmasho.fsf@HIDDEN> <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
 <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
 <CAELgYhcRcgFx7_Hu=QQ5swi+99en2gN8GAZ3M_omT8EYmuUHVg@HIDDEN>
 <CAELgYhc+fB9G1NT93Fovqb0EhSQ4-t3scrYBB=EkrNXpWNno6Q@HIDDEN>
 <5B389924.5040104@HIDDEN>
 <CAELgYhfUL1JscWX2MSY+A2tO2-+=Wi4ZtXSooXnPDQtrVB-2QQ@HIDDEN>
 <CAELgYhe-ras=WThgVJdTn2ziyEJwPn=1eoCYUkJcEq2u-4ftoA@HIDDEN>
 <CAELgYhc=Q3VuuCjFtOx4=WDCT0Rj5LbSGq9HZFN7CkCtr0+rDQ@HIDDEN>
 <CAELgYhfY_F_ExjBVATdzPiV5VGGDOB3UNSHUj5xMp6M2jqwR2A@HIDDEN>
 <87r2klepnl.fsf@HIDDEN>
 <CAELgYhd-tuHyCBra9Oryx92vgjuokM_RTqyJrT6C_OV2oCLmxQ@HIDDEN>
 <CAELgYhfc-pG91uBPrgJ+tjzNqVnNhmExVrjUn1Mqdev+eiFjWg@HIDDEN>
 <87h8lhcsn1.fsf@HIDDEN>
From: Carlos Pita <carlosjosepita@HIDDEN>
Date: Mon, 2 Jul 2018 19:29:51 -0300
Message-ID: <CAELgYhcFDse6icPwbf3-oS5D3SCD8ErfgUrQKSkWxj93hvyPZQ@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
To: Robert Pluim <rpluim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, Jonathan Kyle Mitchell <kyle@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> You=CA=BCre confusing a proof-of-concept patch with a final implementatio=
n
> :-)


No, it's ok, it was meant to be just a heads up.

> Actually, if _GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED and '(undecorated t)
> result in the same visuals, why don=CA=BCt we do the latter when we
> maximize a frame (with a variable to control it of course). Does that
> not avoid more of the differences between window managers?


See my previous email detailing why this might be a bad idea, namely:
unreliable response from WMs and no adequate hook in emacs. We have
control only over the second one.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 2 Jul 2018 20:03:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 02 16:03:23 2018
Received: from localhost ([127.0.0.1]:43939 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fa52h-0006W6-J8
	for submit <at> debbugs.gnu.org; Mon, 02 Jul 2018 16:03:23 -0400
Received: from mail-wm0-f41.google.com ([74.125.82.41]:52781)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fa52f-0006Vr-Tv
 for 31968 <at> debbugs.gnu.org; Mon, 02 Jul 2018 16:03:22 -0400
Received: by mail-wm0-f41.google.com with SMTP id w16-v6so6161wmc.2
 for <31968 <at> debbugs.gnu.org>; Mon, 02 Jul 2018 13:03:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=vkEh7B+DmrjmCm8D9WiK3+4s04nMmQdP3aKeUmQqeXk=;
 b=gfKwKAnOgHaCdOhjzhCFgRR18WB2Zfy1uCBeoue2BCAxk5Ba/I6EamaTXODPB5ClBJ
 lQDahL2NvZcejYZ59OBI6hVhZnJmSfv749rKByMQkj8/1uSqbxOYJ+NEJtpVbRqNrtx0
 mVzbj+Uzbif7FxbdR640BlqntkiA5UYYwJHCQj+4USkgLa3zzGEtb6ZLdR6JIA+ay51r
 5whxnKpHKAikounIbjvx2YebHAvpWpq3ZWeH5HVicRJhyaqRv9OX0epx011qo9ULNGW0
 j9icToVWlCp3pI3UjtrcMeLQuVDR0e0v1Bm/gw1HmANfHJyPgdtecD1xwTdULQTYnF2u
 ZGMQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=vkEh7B+DmrjmCm8D9WiK3+4s04nMmQdP3aKeUmQqeXk=;
 b=A95oUv16u+IHHJ/wkAOfAdF0AmHTMEEOezAtntDvhsbcD7IUGEU+wwCT/7+9nGK4YN
 vackPRS4mCP2EUo8sDe3WI2vB88pcOccSljJpSXgSnc0o6e2mfXrvuh+7igw8eg0Ce/M
 8HKz1ysMEUrpdBrq0igMDPNy9Wrn+N+RCy+C8EPvv0tweKywDlrLpGZmaVSoZakXFk1S
 iYuNn64SO04x56t3xs6+xxPs5xPMjc+uk99gq1boFUWw/7huqYHFCzk55WcBEWIR4Tk0
 QAgH5rqvtQVL+FMe4Tr9DMIL3RN72YmRPEYcoRWQLELCJWtwGM253LCdYtYLGhgVkxDD
 lM5g==
X-Gm-Message-State: APt69E3432RkQBqlxwG3fm0yAKTIqPSz5Ip8H+L4YUNUCRMdPdcqftnx
 xkFDTsFiEHpPvPHt+IYEmh4B9LoPBzA=
X-Google-Smtp-Source: AAOMgpfc5lJSqRInafIIeUsOlO9HCLumTna5ODdW9r9BVpgu68nrjz1jCT3TZ8q6NMJM22Zod5bDeA==
X-Received: by 2002:a1c:570a:: with SMTP id
 l10-v6mr3094514wmb.56.1530561796228; 
 Mon, 02 Jul 2018 13:03:16 -0700 (PDT)
Received: from rpluim-ubuntu (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id j131-v6sm9702529wmb.25.2018.07.02.13.03.14
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 02 Jul 2018 13:03:15 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Carlos Pita <carlosjosepita@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN>
 <5B35F0ED.3070409@HIDDEN> <874lhmasho.fsf@HIDDEN>
 <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
 <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
 <CAELgYhcRcgFx7_Hu=QQ5swi+99en2gN8GAZ3M_omT8EYmuUHVg@HIDDEN>
 <CAELgYhc+fB9G1NT93Fovqb0EhSQ4-t3scrYBB=EkrNXpWNno6Q@HIDDEN>
 <5B389924.5040104@HIDDEN>
 <CAELgYhfUL1JscWX2MSY+A2tO2-+=Wi4ZtXSooXnPDQtrVB-2QQ@HIDDEN>
 <CAELgYhe-ras=WThgVJdTn2ziyEJwPn=1eoCYUkJcEq2u-4ftoA@HIDDEN>
 <CAELgYhc=Q3VuuCjFtOx4=WDCT0Rj5LbSGq9HZFN7CkCtr0+rDQ@HIDDEN>
 <CAELgYhfY_F_ExjBVATdzPiV5VGGDOB3UNSHUj5xMp6M2jqwR2A@HIDDEN>
 <87r2klepnl.fsf@HIDDEN>
 <CAELgYhd-tuHyCBra9Oryx92vgjuokM_RTqyJrT6C_OV2oCLmxQ@HIDDEN>
 <CAELgYhfc-pG91uBPrgJ+tjzNqVnNhmExVrjUn1Mqdev+eiFjWg@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Mon, 02 Jul 2018 22:03:14 +0200
In-Reply-To: <CAELgYhfc-pG91uBPrgJ+tjzNqVnNhmExVrjUn1Mqdev+eiFjWg@HIDDEN>
 (Carlos Pita's message of "Mon, 2 Jul 2018 14:44:58 -0300")
Message-ID: <87h8lhcsn1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, Jonathan Kyle Mitchell <kyle@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Carlos Pita <carlosjosepita@HIDDEN> writes:

> One more thing to take into account: after decorations are removed by
> the WM because of _GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED the undecorated
> property is still nil in the frame alist. Maybe it's better for this
> to be so, but I'm not so sure, after all the WM did remove the
> decorations.

You=CA=BCre confusing a proof-of-concept patch with a final implementation
:-)

Actually, if _GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED and '(undecorated t)
result in the same visuals, why don=CA=BCt we do the latter when we
maximize a frame (with a variable to control it of course). Does that
not avoid more of the differences between window managers?

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 2 Jul 2018 17:45:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 02 13:45:28 2018
Received: from localhost ([127.0.0.1]:43883 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fa2tD-0001Bp-Qe
	for submit <at> debbugs.gnu.org; Mon, 02 Jul 2018 13:45:27 -0400
Received: from mail-yb0-f169.google.com ([209.85.213.169]:39496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fa2tB-0001Bc-9M
 for 31968 <at> debbugs.gnu.org; Mon, 02 Jul 2018 13:45:25 -0400
Received: by mail-yb0-f169.google.com with SMTP id k127-v6so5390982ybk.6
 for <31968 <at> debbugs.gnu.org>; Mon, 02 Jul 2018 10:45:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=82YcQkkk39xDtdPEqXLT39aqnqqM0NaAbXJ1Pi1AIGI=;
 b=EzW9xHiTc7S8TQFV3i9IyBJbN2NAGMqBYT2nA0ZYnjka7vLhrZ/A+O/eb2kiLyT78+
 3EQcerhy+f6fLgeSa1Gnn0dGIgxAZwbr9f9t8NQBt8BAkJpNYLd11qHK27H2bFW1bFWo
 jrHfM4borVVFEg9zAd/M8+BGdJ7Ln5n/8B02RN+EcEJgYiXHUZPEv1KHz25S7DB6r7bZ
 WirzPOSmcxuxs264Tm1lvbqw4Bwtu+smBxnltvoMJtQTwFYubRHns7CH4wzXEr4Jb/4I
 ed9gUb6PJ/N2RXHmwBLkyIH1UmbI9reAuFnImlbsMXK8DpfSU6agHffCXOe6q2hY1tJq
 cnpQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=82YcQkkk39xDtdPEqXLT39aqnqqM0NaAbXJ1Pi1AIGI=;
 b=BS9RV5yELdbAwNls6njLe4ArdTNvUQa1L/uK5IcbrZDQJAt7C0xxpS7aNBLhc0wpM0
 txb58SxoO+XFF3MToRYW702fpqa9JC8654oh8raprZ/M75q3K2p/SsCfnn1GIfHQu2N1
 Bl3ztja0iGWmYQ6B8hhlyTGuq10TDr3WLy/oxCZKhp549BvHS1P/k/Wm07UFQwgkLxCJ
 idGxeufg5tXupG2Sw+TnXleF44iMGktRqz7SeGpF0QFXtnqzS8S0coujewse3g7k2b/W
 OExfCMz+jBg4r04SorFj0jv1Mj8l+7itLsSRLRF4ISlUehm88gonnJbW7QOGqNHHcJdU
 HB1g==
X-Gm-Message-State: APt69E1oREWAAtRJ3gkhuJ7CIuvpAN4sgo8/VWeHejIKtk2fOeumNE+w
 2qUh5im1tO6M3gQxKIbdXxhd+g01mYU+brP3FSQ=
X-Google-Smtp-Source: AAOMgpdmNOqkxMzePRfbEoV11d2BADXL4CphE8OZDMR5lVQ090UgGixSzl2beQ0MzdBXah+PsRbwMNanpo6qvP/5FT0=
X-Received: by 2002:a25:80c6:: with SMTP id c6-v6mr8162460ybm.4.1530553519451; 
 Mon, 02 Jul 2018 10:45:19 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a25:7d83:0:0:0:0:0 with HTTP;
 Mon, 2 Jul 2018 10:44:58 -0700 (PDT)
In-Reply-To: <CAELgYhd-tuHyCBra9Oryx92vgjuokM_RTqyJrT6C_OV2oCLmxQ@HIDDEN>
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN> <5B35F0ED.3070409@HIDDEN>
 <874lhmasho.fsf@HIDDEN> <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
 <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
 <CAELgYhcRcgFx7_Hu=QQ5swi+99en2gN8GAZ3M_omT8EYmuUHVg@HIDDEN>
 <CAELgYhc+fB9G1NT93Fovqb0EhSQ4-t3scrYBB=EkrNXpWNno6Q@HIDDEN>
 <5B389924.5040104@HIDDEN>
 <CAELgYhfUL1JscWX2MSY+A2tO2-+=Wi4ZtXSooXnPDQtrVB-2QQ@HIDDEN>
 <CAELgYhe-ras=WThgVJdTn2ziyEJwPn=1eoCYUkJcEq2u-4ftoA@HIDDEN>
 <CAELgYhc=Q3VuuCjFtOx4=WDCT0Rj5LbSGq9HZFN7CkCtr0+rDQ@HIDDEN>
 <CAELgYhfY_F_ExjBVATdzPiV5VGGDOB3UNSHUj5xMp6M2jqwR2A@HIDDEN>
 <87r2klepnl.fsf@HIDDEN>
 <CAELgYhd-tuHyCBra9Oryx92vgjuokM_RTqyJrT6C_OV2oCLmxQ@HIDDEN>
From: Carlos Pita <carlosjosepita@HIDDEN>
Date: Mon, 2 Jul 2018 14:44:58 -0300
Message-ID: <CAELgYhfc-pG91uBPrgJ+tjzNqVnNhmExVrjUn1Mqdev+eiFjWg@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
To: Robert Pluim <rpluim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, martin rudalics <rudalics@HIDDEN>,
 Jonathan Kyle Mitchell <kyle@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

One more thing to take into account: after decorations are removed by
the WM because of _GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED the undecorated
property is still nil in the frame alist. Maybe it's better for this
to be so, but I'm not so sure, after all the WM did remove the
decorations.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 2 Jul 2018 14:28:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 02 10:28:25 2018
Received: from localhost ([127.0.0.1]:43645 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fZzoW-0004sm-Vr
	for submit <at> debbugs.gnu.org; Mon, 02 Jul 2018 10:28:25 -0400
Received: from mail-yw0-f172.google.com ([209.85.161.172]:43551)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fZzoV-0004sa-CL
 for 31968 <at> debbugs.gnu.org; Mon, 02 Jul 2018 10:28:23 -0400
Received: by mail-yw0-f172.google.com with SMTP id l189-v6so331656ywb.10
 for <31968 <at> debbugs.gnu.org>; Mon, 02 Jul 2018 07:28:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=CWSRMHhp2SMhKwpJjgauaZXU4XiAurH8d0g/X1H+/XE=;
 b=IX7ve3+qphtpL2zA9L/NszJzvzW9mylibU2y7h+CxUWs5Host43cktXDN4XO9e/HQ8
 Wm9AuwED6s+bh7MFPRv0S/0SizsqMOXFGDUNmzoqz0iWU7gXi8dglBqzMId+yYoNXPlR
 bY09P0ty6LRqu5m42FrJ04Zkcz2tlXEMbqTGiP4chgcBosXglfnFed0/JwCeiNf4Byig
 RaJ9swX+wNs/IsgqG6EO7pNljpn1NTOikWu9OMWcniZYbPuKR7HjMeH4DW56Ehk79wcY
 DKtir6+fr2iS8A1S8Cdjs68K6bQ3DJhZVDIojvmrIRoNoTudnF2SaSY3Wh9E5wpV1oVo
 J8SQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=CWSRMHhp2SMhKwpJjgauaZXU4XiAurH8d0g/X1H+/XE=;
 b=eMNl8YzSAqpZuQKTKb7dFF5bLxhYG3bVzh367mUXB9vlyoTnddKvoe3dS/x0keF7Wg
 89WWy3hk+OAZjH9Pk8KftG5qjFyEKQDg05N93m0LMNMFRE2MYtsti0SS0ZCU49LHLNdc
 pej9SO9PDT+WAoN+JUNKpverXGG6inlXUw6C8b57CvDDw4Ai0x67Tq5U8L+oxhL89KIx
 98inN+7JY6+DO32mg/CBUFtDZNLt6oyzcmDiakYu3guoE7GL0ZM5h65Qmblo9EVKhGs/
 BimCsUZ6FvV913Xa0K5exmivFLQmDOZ2zaQ9fHsbb4Bwnu15baeqlF1o0hH3wY+WR5rj
 2UCA==
X-Gm-Message-State: APt69E0kBcwJN4xPYqyt2gnV1+Oi3rusvRuMdJsjBrF5QnHlBhxQ2ndE
 XTFQAXiUvHwXA9WOm7R3xTwM5vJktHk6f8OcWUI=
X-Google-Smtp-Source: AAOMgpfK55hnDbsEC1xT7n+ikFPJxVZdpEUWm81aSbYKcRN91108D7+Huujl88Pw9c8Qld+VUBSxovHMS0aefThP1r8=
X-Received: by 2002:a81:408:: with SMTP id 8-v6mr12794376ywe.80.1530541697898; 
 Mon, 02 Jul 2018 07:28:17 -0700 (PDT)
MIME-Version: 1.0
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN> <5B35F0ED.3070409@HIDDEN>
 <874lhmasho.fsf@HIDDEN> <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
 <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
 <CAELgYhcRcgFx7_Hu=QQ5swi+99en2gN8GAZ3M_omT8EYmuUHVg@HIDDEN>
 <CAELgYhc+fB9G1NT93Fovqb0EhSQ4-t3scrYBB=EkrNXpWNno6Q@HIDDEN>
 <5B389924.5040104@HIDDEN>
 <CAELgYhfUL1JscWX2MSY+A2tO2-+=Wi4ZtXSooXnPDQtrVB-2QQ@HIDDEN>
 <CAELgYhe-ras=WThgVJdTn2ziyEJwPn=1eoCYUkJcEq2u-4ftoA@HIDDEN>
 <CAELgYhc=Q3VuuCjFtOx4=WDCT0Rj5LbSGq9HZFN7CkCtr0+rDQ@HIDDEN>
 <CAELgYhfY_F_ExjBVATdzPiV5VGGDOB3UNSHUj5xMp6M2jqwR2A@HIDDEN>
 <87r2klepnl.fsf@HIDDEN>
In-Reply-To: <87r2klepnl.fsf@HIDDEN>
From: Carlos Pita <carlosjosepita@HIDDEN>
Date: Mon, 2 Jul 2018 11:28:05 -0300
Message-ID: <CAELgYhd-tuHyCBra9Oryx92vgjuokM_RTqyJrT6C_OV2oCLmxQ@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
To: Robert Pluim <rpluim@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000379dc605700502b0"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, martin rudalics <rudalics@HIDDEN>,
 Jonathan Kyle Mitchell <kyle@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000379dc605700502b0
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

>
>
> FWIW I don=CA=BCt see this under kwin (I do have focus-follows-mouse, whi=
ch
> might be influencing it).
>

As I mentioned elsewhere the effects seems to be very WM dependent. The
pair maximize-undecorate / unmaximize-decorate works fine on Cinnamon (but
not every other combination or sequence), maybe also under Plasma, but I
wouldn't count on it to continue working after a new release except the
developers explicitly supported the ability to change decorations.

--000000000000379dc605700502b0
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto"><div><div class=3D"gmail_quote"><blockquote class=3D"gmai=
l_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left=
:1ex"><br>
FWIW I don=CA=BCt see this under kwin (I do have focus-follows-mouse, which=
<br>
might be influencing it).<br></blockquote></div></div><div dir=3D"auto"><br=
></div><div dir=3D"auto">As I mentioned elsewhere the effects seems to be v=
ery WM dependent. The pair maximize-undecorate / unmaximize-decorate works =
fine on Cinnamon (but not every other combination or sequence), maybe also =
under Plasma, but I wouldn&#39;t count on it to continue working after a ne=
w release except the developers explicitly supported the ability to change =
decorations.</div></div>

--000000000000379dc605700502b0--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 2 Jul 2018 14:23:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 02 10:23:07 2018
Received: from localhost ([127.0.0.1]:43640 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fZzjP-0004lf-2J
	for submit <at> debbugs.gnu.org; Mon, 02 Jul 2018 10:23:07 -0400
Received: from mail-yb0-f195.google.com ([209.85.213.195]:34703)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fZzjL-0004ky-3k
 for 31968 <at> debbugs.gnu.org; Mon, 02 Jul 2018 10:23:05 -0400
Received: by mail-yb0-f195.google.com with SMTP id e9-v6so5160467ybq.1
 for <31968 <at> debbugs.gnu.org>; Mon, 02 Jul 2018 07:23:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=lIskyPTlNaWmKp/PxFqpwsMFEjk1FN6GTZ7MJyWHy1s=;
 b=TIO90+sqJeifaqERiInRbZwRylKD+XOJFf9YtTdJxOi5JuH53DSmxagsFoPBnT7+fV
 +ddj87ivkndLI4SmVDIi/RHiPlvHij8IJehxEXpoMJkQUG0RWgTpj62C9DcicLrkOLHc
 KoWHuoXnqHSpXbCUsatV2qpqw+4bywFu03VEMjtFU3efLIsDupXlem2DdmKb4ECtvdCL
 uykkTJGVFYX1L1f/syalMDdCKukgYHLWTP1YnFfPyzkyaaRmXfCzRStfWkJmrqJZsUsR
 dE816NNko9nb/KzGX/qhP2ohO2Dr7n8QhvJD8M/hGpG2gBPV+9zOoLteBhMjDLLvYbBY
 rBVA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=lIskyPTlNaWmKp/PxFqpwsMFEjk1FN6GTZ7MJyWHy1s=;
 b=ROoU7gFX5CNf71BK0K2HuengbwokERJgWO/WP7DN4oRICfpvdTeMJ3lFALlGYCwUO6
 TS8BSE6kbpwWSsB/7Q56+PSgoRHgIm2czOc/vaPht9b5CNmTXGH3ksobYMYqJsqhirNI
 TAD9Dm5ZYbSFbf5eRbRb0ZrrgpNdSAORYhL+OpSP10okDy7vkjP1fKGa/EKSJPWhrcn2
 ZpE8LtemYaer/Y78okFA5DhI/Fu7Tw9JQHx5mNiba1o2E3r/JUzWWfbdeHFsb9bd5iFX
 docY8/2Ea0jJ69RE9aw7n4yR3MkkAqKbaQ9rSCm2dPN1z/wYAm3JUw4IUJINoZas45QK
 9P5A==
X-Gm-Message-State: APt69E3hkPoLa1LDcUdVPhtQGsBEZvIRo0atl1WksLICkO1TGVYePPJ4
 4tRp6tZTTXIkmKzqM+gQJkbAf9brm0lRC9Xn4X8=
X-Google-Smtp-Source: ADUXVKKDqPjP78ClomMOJA0q0BzafEeHAHSHsmRbugP+GBcQQ57EqUVyt387lDh0kzM/y3Damrpc6CcqD/zrnAzldAQ=
X-Received: by 2002:a25:4d56:: with SMTP id
 a83-v6mr13824301ybb.226.1530541377546; 
 Mon, 02 Jul 2018 07:22:57 -0700 (PDT)
MIME-Version: 1.0
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN> <5B35F0ED.3070409@HIDDEN>
 <874lhmasho.fsf@HIDDEN> <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
 <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
 <87muv9epcz.fsf@HIDDEN>
In-Reply-To: <87muv9epcz.fsf@HIDDEN>
From: Carlos Pita <carlosjosepita@HIDDEN>
Date: Mon, 2 Jul 2018 11:22:45 -0300
Message-ID: <CAELgYhf2cONdmw_M7QL_rJAuyvSoztXdtzuEKSbd+aO-smxduQ@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
To: Robert Pluim <rpluim@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000001f70da057004efc2"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, Jonathan Kyle Mitchell <kyle@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000001f70da057004efc2
Content-Type: text/plain; charset="UTF-8"

I would oppose to any change that exlicitly undecorates and redecorates the
window because (I'm summing up below what I already mentioned in a more
haphazardly way above):

1. Both under Gnome and under Cinnamon there are scenarios in which
changing the client decorated state wreaks havoc with WM operation. In
Gnome when you remove decorations the client lose focus. In Cinnamon
undecorating and redecorating a maximized window makes it completely
inaccessible, as if the WM couldn't show it anymore. I managed to make the
maximize-undecorate / unmaximize-decorate combo work under Cinnamon, but
that's all. Expect problems under other DEs and WMs.

2. Using Jonathan hook shares the problems described in point 1, since it
explicitly deals with decorations instead of just hinting the WM, but also
fails to redecorate the window in many circumstances, since the hook seems
to be called before the maximized property was removed from the frame
properties alist. Even if there were a more convenient event to hook from
(I was unable to find one in frame.el) I would disregard the solution
because of 1.

So that let's us able to support WMs that offers
_GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED or a similar mechanism, or that
explicitly advertise they allow decoration change events triggered by the
client.

I've requested support for _GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED in the
Cinnamon tracker [1], maybe you can argue a bit more for the feature there.

---

[1] https://github.com/linuxmint/Cinnamon/issues/7681

--0000000000001f70da057004efc2
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">I would oppose to any change that exlicitly undecorates a=
nd redecorates the window because (I&#39;m summing up below what I already =
mentioned in a more haphazardly way above):<div dir=3D"auto"><br></div><div=
 dir=3D"auto">1. Both under Gnome and under Cinnamon there are scenarios in=
 which changing the client decorated state wreaks havoc with WM operation. =
In Gnome when you remove decorations the client lose focus. In Cinnamon und=
ecorating and redecorating a maximized window makes it completely inaccessi=
ble, as if the WM couldn&#39;t show it anymore. I managed to make the maxim=
ize-undecorate / unmaximize-decorate combo work under Cinnamon, but that&#3=
9;s all. Expect problems under other DEs and WMs.</div><div dir=3D"auto"><b=
r></div><div dir=3D"auto">2. Using Jonathan hook shares the problems descri=
bed in point 1, since it explicitly deals with decorations instead of just =
hinting the WM, but also fails to redecorate the window in many circumstanc=
es, since the hook seems to be called before the maximized property was rem=
oved from the frame properties alist. Even if there were a more convenient =
event to hook from (I was unable to find one in frame.el) I would disregard=
 the solution because of 1.</div><div dir=3D"auto"><br></div><div dir=3D"au=
to">So that let&#39;s us able to support WMs that offers _GTK_HIDE_TITLEBAR=
_WHEN_MAXIMIZED or a similar mechanism, or that explicitly advertise they a=
llow decoration change events triggered by the client.</div><div dir=3D"aut=
o"><br></div><div dir=3D"auto">I&#39;ve requested support for=C2=A0<span st=
yle=3D"font-family:sans-serif">_GTK_HIDE_TITLEBAR_WHEN_</span><span style=
=3D"font-family:sans-serif">MAXIMIZED</span>=C2=A0in the Cinnamon tracker [=
1], maybe you can argue a bit more for the feature there.</div><div dir=3D"=
auto"><br></div><div dir=3D"auto">---</div><div dir=3D"auto"><br></div><div=
 dir=3D"auto">[1]=C2=A0<a href=3D"https://github.com/linuxmint/Cinnamon/iss=
ues/7681">https://github.com/linuxmint/Cinnamon/issues/7681</a></div><div d=
ir=3D"auto"><br></div></div>

--0000000000001f70da057004efc2--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 2 Jul 2018 13:31:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 02 09:31:18 2018
Received: from localhost ([127.0.0.1]:42702 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fZyvG-0003JQ-Dn
	for submit <at> debbugs.gnu.org; Mon, 02 Jul 2018 09:31:18 -0400
Received: from mail-wr0-f178.google.com ([209.85.128.178]:36600)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fZyvE-0003JA-IB
 for 31968 <at> debbugs.gnu.org; Mon, 02 Jul 2018 09:31:16 -0400
Received: by mail-wr0-f178.google.com with SMTP id f16-v6so15577633wrm.3
 for <31968 <at> debbugs.gnu.org>; Mon, 02 Jul 2018 06:31:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=UBamc1BJwmivfTnICatjvbxHy20XLCZwvm1F5Z+P0eY=;
 b=Oug2kVBhW0pw6MYMAZZAMhjYIlCPwQOqcQ5LGSq1MHrXAeh4m2upDVD+KNReXf4hvn
 iDPsDdYR5ZChhKueF+os8Kdpc0a4b+dtkTPfDPy+/hm4YHtvXqGclo5AjfNPoPgtzz2V
 GsZ1R71NL++zaCfMDuSvZhWy5CF1NY52IlhXhRvwrIDEkctJDKx9sy9Q+3jc6ZkG6WvX
 1pC28YODI6klWejHA4ka14EHFkgtmX5NAg1m13j1HwU2dsRXuF2EfiTHQK6lhIcp2Acu
 81TRI3Bq0XP7qV1+b9CPlUh7Zbhyqym7SXPlLz+nFIkWa37PyQnMCcAaJRlFYToeizLA
 ew3Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=UBamc1BJwmivfTnICatjvbxHy20XLCZwvm1F5Z+P0eY=;
 b=C1nnNIGjmu6ETa4/4NqW6997aSKaD8Kkuk8DVygQU93bLPq6aEnlRU/cBCogU+19Bo
 WzWoVO5I01XV149T3JhQxqot5ILG+nBioWpYfOqnP3de4AFFmJuhbnb8+9Z0qXZedgyF
 4zp1lilJiCNyAoRiAv5KgB63uri4kXspF82rnIYC7KHaGtG3b06ViaFs4vp/gYeo9rOZ
 MbDIxupEaYjRG/LAbqbh4VzL7utgYfowR833/LpsqT13OhREF5Ski/6iRv/uvrLlxQWb
 oNckR/ntw8pK0P9kf7VKhnErczua5nTWW0pq71dinBQ5ulESz3le1nOAqlgxJF+hDj5E
 h5Lw==
X-Gm-Message-State: APt69E0d6gYdHL+mq9Kh00FKOUqYnp6KmMggLsbDLRfRhyyz0KtKHT/e
 KXchgWLdWOJHbkySK2VcOGlHCfjI
X-Google-Smtp-Source: AAOMgpcGrWdjKTHFl6qNQ/nRKCZrYRjyTDM/fwpMzDS2GV0AgbuY5ypdIKq/1dLj3sdyET2kJBWdHw==
X-Received: by 2002:adf:f342:: with SMTP id
 e2-v6mr19642357wrp.161.1530538270502; 
 Mon, 02 Jul 2018 06:31:10 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id 4-v6sm16653437wmh.14.2018.07.02.06.31.09
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 02 Jul 2018 06:31:09 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Carlos Pita <carlosjosepita@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN>
 <5B35F0ED.3070409@HIDDEN> <874lhmasho.fsf@HIDDEN>
 <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
 <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Mon, 02 Jul 2018 15:31:08 +0200
In-Reply-To: <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
 (Carlos Pita's message of "Sat, 30 Jun 2018 19:54:04 -0300")
Message-ID: <87muv9epcz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, Jonathan Kyle Mitchell <kyle@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Carlos Pita <carlosjosepita@HIDDEN> writes:

> Works for me too. I had to manually apply the patch because it doesn't
> cleanly applies on latest emacs-26, but besides that it does what is
> announced.

It was against master. There=CA=BCs no way I=CA=BCd propose a change like t=
his
for emacs-26, it=CA=BCs something that would require a lot of testing on a
lot of different systems first (and emacs' existing maximize behaviour
already has its share of problems).

> I think it's ok for this functionality to be gtk only since the kde
> people (and mostly everyone else) hate the csd stuff and want their wm
> to deal with decorations, old school. There is a flame war around this
> issue indeed. Plasma can be configured for "hide titlebar on maximize"
> but gnome and its derivatives (thinking of cinnamon here) can't. I
> wonder for how long it would be even possible to hide the titlebar at
> the gtk level.

Yes, Plasma has an option you can set in kwinrc. I=CA=BCm undecided whether
I like the functionality or not, but it would be better if we tried to
at least support both kde and gnome here (which probably means
figuring out if there=CA=BCs a way to specify this per-application in kde).

Regards

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 2 Jul 2018 13:24:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 02 09:24:56 2018
Received: from localhost ([127.0.0.1]:42697 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fZyp5-00039C-Nl
	for submit <at> debbugs.gnu.org; Mon, 02 Jul 2018 09:24:55 -0400
Received: from mail-wr0-f173.google.com ([209.85.128.173]:44451)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fZyp3-00038x-Pg
 for 31968 <at> debbugs.gnu.org; Mon, 02 Jul 2018 09:24:54 -0400
Received: by mail-wr0-f173.google.com with SMTP id p12-v6so15542439wrn.11
 for <31968 <at> debbugs.gnu.org>; Mon, 02 Jul 2018 06:24:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=RXQk+zzYEiZmiFfdICOiFAup0y0GyHNtAoQ2OPwbSDg=;
 b=TA/P8fUFzA4CazUOeVsOibojRYRxw85LZBe7YxmLWCYnSWchxXIk2U6XT1Wgkpg6E8
 AIv4xZC65mqm+axWon25At4MUdcblB46EUdaF6j/6ulfx4o2iepV8DJZWzgcW8mthloc
 S7LVeJt6yrn9xVJgC55x/ZtSPpty8g1XBWAuK76GsBzzpM7y7rBKrWBJvEmGS6uOz4oG
 wL1WOOX9FhpQytjhJpKXAOhwHbbAX+m4gVtlf/z6Oi13xVhq1iVun/JUx14HvjvB6CvT
 ZIAmQ/U2je5yJbsEc3CHcbmBsi+98TFWKJv4YgghfXaT6O6jD//RKvi/XxAzKXDxrDGz
 6Ymg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=RXQk+zzYEiZmiFfdICOiFAup0y0GyHNtAoQ2OPwbSDg=;
 b=XMsEDllb4Z2HPU8+WJvnzTh3KRGd48ApkqoOKwbUkX+9hFKJioQCHf4NxBezTZmHPe
 Gn6rdt7z7iXcpl9XbYZassb8P9KUWSWizlSXU2SD31qG2CIbilPNctS1WD6u3AqqR1s+
 UgYnRDORr/1u5hnRejxfItXoiE/40GFm0CgzfJIYmRDeEpCrocUB3RLWXhCgrPeu0Mwl
 7DqM81/d/Bszcbx2sNUEOz4O8TxyfWW9Z5gzHqMo0zcvY3iGu/PMjGLZfKLa7bDE9L5N
 0RPJCx1wAOc30VAWYbAXiatef0R9sYGBnNgDPUKQ72GBkH5ibr2G794Ij8PWGfz1WLgB
 U4kw==
X-Gm-Message-State: APt69E3Gqzk4aOpYndpOzVHtXfhreqlhzZzMwYc78FRt8sVAXovBlONV
 PUPwVpdmHRwv257MIyfoRjY=
X-Google-Smtp-Source: AAOMgpe+z91xvjWs06UwrxpKJE5Rc4VuK2lgDUyX9CpNsJMG+r7tRPHQjOpwiHsKNCKePV4v6lCrOw==
X-Received: by 2002:adf:b726:: with SMTP id
 l38-v6mr15052205wre.115.1530537888104; 
 Mon, 02 Jul 2018 06:24:48 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id d102-v6sm10817954wma.10.2018.07.02.06.24.46
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 02 Jul 2018 06:24:47 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Carlos Pita <carlosjosepita@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN>
 <5B35F0ED.3070409@HIDDEN> <874lhmasho.fsf@HIDDEN>
 <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
 <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
 <CAELgYhcRcgFx7_Hu=QQ5swi+99en2gN8GAZ3M_omT8EYmuUHVg@HIDDEN>
 <CAELgYhc+fB9G1NT93Fovqb0EhSQ4-t3scrYBB=EkrNXpWNno6Q@HIDDEN>
 <5B389924.5040104@HIDDEN>
 <CAELgYhfUL1JscWX2MSY+A2tO2-+=Wi4ZtXSooXnPDQtrVB-2QQ@HIDDEN>
 <CAELgYhe-ras=WThgVJdTn2ziyEJwPn=1eoCYUkJcEq2u-4ftoA@HIDDEN>
 <CAELgYhc=Q3VuuCjFtOx4=WDCT0Rj5LbSGq9HZFN7CkCtr0+rDQ@HIDDEN>
 <CAELgYhfY_F_ExjBVATdzPiV5VGGDOB3UNSHUj5xMp6M2jqwR2A@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Mon, 02 Jul 2018 15:24:46 +0200
In-Reply-To: <CAELgYhfY_F_ExjBVATdzPiV5VGGDOB3UNSHUj5xMp6M2jqwR2A@HIDDEN>
 (Carlos Pita's message of "Sun, 1 Jul 2018 15:08:54 -0300")
Message-ID: <87r2klepnl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, martin rudalics <rudalics@HIDDEN>,
 Jonathan Kyle Mitchell <kyle@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Carlos Pita <carlosjosepita@HIDDEN> writes:

> Moving to a more manual approach I find a new problem: at least under
> gnome undecorating the frame makes it lose its focus.
>
> (global-set-key (kbd "C-x t")
>         (lambda () (interactive)
>           (set-frame-parameter nil 'undecorated
>                        (not (frame-parameter nil 'undecorated)))))

FWIW I don=CA=BCt see this under kwin (I do have focus-follows-mouse, which
might be influencing it).

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 2 Jul 2018 13:21:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 02 09:21:28 2018
Received: from localhost ([127.0.0.1]:42693 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fZylk-000342-82
	for submit <at> debbugs.gnu.org; Mon, 02 Jul 2018 09:21:28 -0400
Received: from mail-wr0-f171.google.com ([209.85.128.171]:42859)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fZylj-00033o-1D
 for 31968 <at> debbugs.gnu.org; Mon, 02 Jul 2018 09:21:27 -0400
Received: by mail-wr0-f171.google.com with SMTP id p1-v6so15554112wrs.9
 for <31968 <at> debbugs.gnu.org>; Mon, 02 Jul 2018 06:21:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version;
 bh=+w+EYIAZZFHEZK+drho58ojuWXu+X5SrGu3pG+At5Ls=;
 b=vdbVo0ExK5Mkr3R0FPVcTL6vfbqkBEfOUY6fRzA3wJd3VMG2nfcyWO1VDNDWFQzb+U
 ScJq+dEW2j9tvay+kFVkjtqEBof8lisSkxFmfVrMhLCrZa1OrArN4YgwF6CvyT/1yKpl
 t7kyGoeIYLTWonQHq1CS8c/e3GdAHpo2aDoZeEE4u+UA2bhzCkCKwBijVB+jQ0LeTUdk
 3oWbdcc8+iOMq+pdzjbd/Yjy+Qon5MoIbC36jQYITJyy71PfCpH15STiQ0xevvrhCSDk
 zTJHgOvtvj0Yf0c2lf8b4VFE1oS3IfD5PmcIBzlDiKEe1+fVY8bm83rED1PHXK+XVbBa
 q/qA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version;
 bh=+w+EYIAZZFHEZK+drho58ojuWXu+X5SrGu3pG+At5Ls=;
 b=PeGMK8Tegh5sS++u+4aR5BhB7LsYXx5rwCD8n6sj7z+TwSm4z26huukaSDpzMOtYfV
 Q+lM7bnX/y37psKUHmOJbiq7IrV44J5ihyMCSGJTCl58ADlUosXsZPHLOnrhf+5MGeZ7
 QdSNVYWQbjHtNoO5kwApyvGqEUBCjDdQXiAGDkE5ezgByP6zdydCQzHuw3Bz3SYrVeNK
 DaSH6omwLLH0GCGqZ5+JwjYHd/HMgp2KCzgscjg3hGDzJqzVx1XjUlStI8InHUDPtrUp
 /PZ4r5dGt6gUux5HucZo2wQthD0X9rY7FymURfvqq13Ko0MOkYI1Dn4YhSO/Ykv+rteG
 0PNw==
X-Gm-Message-State: APt69E3WB5TkXz3kflfYHuMl6Tlfs7zk16ACsM4QsVC3+E9ZKgEKI0L2
 oeDYJdFhqbOy+0K0rW+mhpusWIwb
X-Google-Smtp-Source: AAOMgpdEs/BpL9Wmnmz7qa/P1VeRsZxSD+Wg54o0H3fYzI2TQvtMG/psKCSq6nQ4bhRiJgFAujeVhg==
X-Received: by 2002:a5d:4701:: with SMTP id
 y1-v6mr5503531wrq.107.1530537680774; 
 Mon, 02 Jul 2018 06:21:20 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id 143-v6sm10553311wml.37.2018.07.02.06.21.18
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 02 Jul 2018 06:21:19 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Carlos Pita <carlosjosepita@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN>
 <5B35F0ED.3070409@HIDDEN> <874lhmasho.fsf@HIDDEN>
 <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
 <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
 <CAELgYhcRcgFx7_Hu=QQ5swi+99en2gN8GAZ3M_omT8EYmuUHVg@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Mon, 02 Jul 2018 15:21:17 +0200
In-Reply-To: <CAELgYhcRcgFx7_Hu=QQ5swi+99en2gN8GAZ3M_omT8EYmuUHVg@HIDDEN>
 (Carlos Pita's message of "Sat, 30 Jun 2018 20:25:40 -0300")
Message-ID: <87va9xepte.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, Jonathan Kyle Mitchell <kyle@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Carlos Pita <carlosjosepita@HIDDEN> writes:

> Sorry if this is a silly question but what would be the right hook to
> call this function? The frame should already exist but not yet be
> mapped or made visible.

I think the best solution in that case would be to have a frame
parameter for this property that you could set in default-frame-alist,
that would get it applied automatically. There should then be no need
to put it in a hook.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 2 Jul 2018 09:13:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 02 05:13:16 2018
Received: from localhost ([127.0.0.1]:42608 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fZutY-0001ZM-BZ
	for submit <at> debbugs.gnu.org; Mon, 02 Jul 2018 05:13:16 -0400
Received: from mout.gmx.net ([212.227.15.19]:48323)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1fZutW-0001Z7-AJ
 for 31968 <at> debbugs.gnu.org; Mon, 02 Jul 2018 05:13:14 -0400
Received: from [192.168.1.101] ([46.125.250.24]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M6jIK-1gNDhG3g9M-00wTth; Mon, 02
 Jul 2018 11:13:06 +0200
Message-ID: <5B39EC9D.3030107@HIDDEN>
Date: Mon, 02 Jul 2018 11:13:01 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Carlos Pita <carlosjosepita@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN>
 <5B35F0ED.3070409@HIDDEN> <874lhmasho.fsf@HIDDEN> <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
 <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
 <CAELgYhcRcgFx7_Hu=QQ5swi+99en2gN8GAZ3M_omT8EYmuUHVg@HIDDEN>
 <CAELgYhc+fB9G1NT93Fovqb0EhSQ4-t3scrYBB=EkrNXpWNno6Q@HIDDEN>
 <5B389924.5040104@HIDDEN>
 <CAELgYhfUL1JscWX2MSY+A2tO2-+=Wi4ZtXSooXnPDQtrVB-2QQ@HIDDEN>
In-Reply-To: <CAELgYhfUL1JscWX2MSY+A2tO2-+=Wi4ZtXSooXnPDQtrVB-2QQ@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:RfdExFUCWu84UGsdMIsOqPfQwlFTV9Km+Mm0O5mrPbw/V342d4O
 AlBo/SYXYuHShQxarze63HCn/lcCxp2dyGIyRkB+9w1pG6AeGRCfwtc+iyRaohvkFYN3wYD
 qaocLfYSJ16ToPGracbWh0uBdfww+rXdwYCcR0nrh/OOWGfqp2oaJk9ewVbcXGOBEEwY6/l
 danx4yB2w6ztmpCOA9YBQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:jGxzHDBa8xw=:XN4JXHYkc2RJiHI6SLuxLq
 +7feUeRhmf70xP8c4lB0E9ILpGQkDqph96hvWpGvcNBy1JnufA5hE5VrHtSeRBLg2GwQalkCJ
 JAx3DfbvuZ4QgZ0P9RXi4PA2t6HKgO3Ps9HkJLI1DsOnGl4Y4yOw+bh4q8X/3XLBFZxl8CRoV
 kuI6GAlOPRzy4WXzhDnYSw1Y0J2CMsOAZtCchyucg8OdOGNlqg5IR1Q44UF1QTErXEeMwPOLe
 ctXnyQn0zsr+msGxc4vTd41jprjcm0qZWMWc8T7EV8RVsLCrR1mip6lyUggfsiLhTpQmmLWHh
 sQbxur6J8L1mfBrGmCAC3J6BNd9UKM0SMOJnPigr/pxYjgEjtxABd8VkNhgZEoQxKGwFi9Vy2
 oWQZDq211nzrnbGcnY3Dt7oodsgMJE+RHAPkKvwWCMToWNX/pTFLLU/FQxaNtSac+DVb5bFMy
 mLPUjV+M8uAhKQnNEzfGUHoYnB68AWAbH1HrfGRgVWwqLJtvu2JKXfa6/9aoRosJZgSiZ9ujj
 pTmIpn5LC+GXhvv5PXo4l4/ps4cSc4UUStiw3/IJF0CR1J9i0oDBWgvR+jbJP8uCQuN3YubdI
 CUBCocG3emLpH4TEot87W5CZ2OoDIA7IOqIS+uX/ioXrasfFoMUWqanf1mdl9gDn9ZGG34+80
 k52uuxe0bqVZv2AZm4fd8XGk3BkkXPfb+s5gM2HbJSewllglvEswI/aNdlV4KpjVn5MiuLmKy
 lY593GQXz9E2wzdsbco0QiFPNyP6U9ftBJqOZCoJ7m8BP+FRUh2+Kzlshkaav5IeoERxSKbDn
 uCLcDav
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, Robert Pluim <rpluim@HIDDEN>,
 Jonathan Kyle Mitchell <kyle@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Under Cinnamon it worked without flickering.

Thanks.  But please post your code here so we know what we are
discussing.

 > There is just a minor
 > problem that could be pointing to a bug elsewhere in emacs. Cinnamon
 > implements a progression of tiles layouts, for instance starting from
 > a normal sized window (i) you press Super-Up and the window is tiled
 > to the top half of the screen, (ii) you then press Super-Up again and
 > the window is maximized, (iii) finally you press Super-Down and the
 > window returns to top half tile mode. In general only fully maximized
 > windows (ii) gets undecorated, as intended, but when transitioning
 > from fully maximized to top half tiled (ii->iii) emacs still sees the
 > maximized state in the fullscreen frame parameter and fails to
 > undecorate the window. Nevertheless the client state in (ii) is:
 >
 > ~:: xprop | grep _NET_WM_STATE
 > _NET_WM_STATE(ATOM) = _NET_WM_STATE_MAXIMIZED_VERT, _NET_WM_STATE_TILED
 >
 > The problem seems to be in the reported frame parameters, not in
 > Jonathan's hook.

get_current_wm_state in xterm.c has this

       else if (a == dpyinfo->Xatom_net_wm_state_maximized_vert)
         {
           if (*size_state == FULLSCREEN_WIDTH)
             *size_state = FULLSCREEN_MAXIMIZED;
           else
             *size_state = FULLSCREEN_HEIGHT;
         }

Could you try setting a GDB breakpoint at the

           if (*size_state == FULLSCREEN_WIDTH)

line and see if it ever gets executed during (ii->iii).

Thanks for trying, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 2 Jul 2018 05:08:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 02 01:08:24 2018
Received: from localhost ([127.0.0.1]:42565 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fZr4Z-0004MX-Sz
	for submit <at> debbugs.gnu.org; Mon, 02 Jul 2018 01:08:24 -0400
Received: from mail-oi0-f46.google.com ([209.85.218.46]:45734)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mitchell.jkyle@HIDDEN>) id 1fZr4Y-0004MK-7D
 for 31968 <at> debbugs.gnu.org; Mon, 02 Jul 2018 01:08:22 -0400
Received: by mail-oi0-f46.google.com with SMTP id m2-v6so6067352oim.12
 for <31968 <at> debbugs.gnu.org>; Sun, 01 Jul 2018 22:08:22 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=yYC2Lui1ai17egnpO91JZayTIP/poVS46tjN5il8XgY=;
 b=Fixn0a8pppCaoVpLC1L5sDNqQFWcyDTXMpVj52MntqjvG+EOQqavdEl7Keg2j6GQIl
 P86r0Hzd1uB+61QdsMDK0CSvL16NQtrFpaIwjEg6Msq1cdq0KWxALE4IwYdUFiYbDpXR
 f5FZj/vfoja0wBpymdEPeH6Hkb9RbmEzb7Zq5UTpJMUIbrYomV7pfs3j6B03jNfA4NDc
 MZFqNQysZgnpNYGq35nLMgUeqwcRffFMgx9bp3BQH4Xyr6zOTujd+tMYJJpu6BGXPeFh
 pqOS7UgvwIDGvO782If0hsxFBKMniibvDSYNBbKvZdZzYFCjqCV+H07TG3Yh71Icnnun
 xt7g==
X-Gm-Message-State: APt69E1bJrIt9yaxTblhPejpXpjKl/q96eD0vgMvooMY/l2hSdeh1pXX
 mG+HgadKerkr/buc7eaY8ig=
X-Google-Smtp-Source: AAOMgpdyX0d6f3rtvRmCjioo6wwehqmYqhqZ+2muW+IYBdDonKcxXBEuxi9HyMJp9RdWeYREA0gruA==
X-Received: by 2002:aca:e082:: with SMTP id
 x124-v6mr12948003oig.220.1530508096285; 
 Sun, 01 Jul 2018 22:08:16 -0700 (PDT)
Received: from fedorabox (c-76-30-211-107.hsd1.tx.comcast.net. [76.30.211.107])
 by smtp.gmail.com with ESMTPSA id s38-v6sm4574256otd.42.2018.07.01.22.08.15
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 01 Jul 2018 22:08:15 -0700 (PDT)
From: Jonathan Kyle Mitchell <kyle@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN>
 <5B35F0ED.3070409@HIDDEN> <874lhmasho.fsf@HIDDEN>
 <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
 <5B3898A6.7050707@HIDDEN>
Date: Mon, 02 Jul 2018 00:06:05 -0500
In-Reply-To: <5B3898A6.7050707@HIDDEN> (martin rudalics's message of "Sun, 01
 Jul 2018 11:02:30 +0200")
Message-ID: <87o9fq1b2a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, Robert Pluim <rpluim@HIDDEN>,
 Carlos Pita <carlosjosepita@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

martin rudalics <rudalics@HIDDEN> writes:

>> I had the opportunity to test Robert's C patch on a recent copy of the
>> master branch today in a Fedora 28 VM using Gnome3, Xfce4, and KDE5.
>> Setting the hide argument to `t' in the new Lisp function
>> `x-set-hide-titlebar-when-maximized' worked as expected in Gnome and
>> Xfce--the titlebar disappeared when I maximized the Emacs frame.
>
> Thank you very much for testing.  Can you check whether it works when
> maximizing an undecorated frame?  That is, make a new frame, in it do
>
> (set-frame-parameter nil 'undecorated t)
>
> then maximize it and demaximize it.  Is it still undecorated?

Yes, the frame remains undecorated after both maximizing and
demaximizing it.

>> The
>> KDE titlebar remained in place except when putting Emacs in fullscreen
>> mode.
>
> Somehow KDE is a notorious refusnik as far as Emacs frames are
> concerned.  While you're there: Can you confirm the strange resizing
> behaviors of Bug#31968?  For example, does evaluating
>
> (modify-frame-parameters nil '((left . 0) (top . 0) (width . 130)
> (height . 56)))
>
> result in a 130x56 frame?

Yes, I get a frame-width of 130 and frame-height of 56 after running
that function.

--
Jonathan Kyle Mitchell




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 1 Jul 2018 18:09:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 01 14:09:23 2018
Received: from localhost ([127.0.0.1]:42366 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fZgmo-00027q-RA
	for submit <at> debbugs.gnu.org; Sun, 01 Jul 2018 14:09:22 -0400
Received: from mail-yb0-f181.google.com ([209.85.213.181]:40367)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fZgmm-00027d-Rg
 for 31968 <at> debbugs.gnu.org; Sun, 01 Jul 2018 14:09:21 -0400
Received: by mail-yb0-f181.google.com with SMTP id y11-v6so829336ybm.7
 for <31968 <at> debbugs.gnu.org>; Sun, 01 Jul 2018 11:09:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=xEFw0CQbvkim7a5rrj4IK0BzdFAdLdOztSOIq/kuT5U=;
 b=Itt7xIWPr0dMDnuH9HSoMBI6LeO1EyeGoAvMaNICwl4DEgTTgYoeGkV5J4gJCqHUTd
 x8ncknTGtsRZnzaNOi33QloLlfwlyU6Tr4x3n5NN0maZmcfvBNgyqP1fbk5w//pe+vjy
 XB1Js2sHc3A+kLVm5YiAIEocPj513CzPGsLj+8gLHs80LOiNePTnJRDvIgbfIxNoTOg6
 W+Q6sEavPdyFS3homesqf9A2NdORqCqyq/a/MRzQgdxwT6agxyniuHn7hgO4BKic2BVF
 WbAbpDfs6rIajiRN2EKxwYL1wTcyeGClAz5T6jcn0f9KhVsA9sN6kPrrj6VYcz7sewRO
 f7qQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=xEFw0CQbvkim7a5rrj4IK0BzdFAdLdOztSOIq/kuT5U=;
 b=r64k537RFz4FSuauqwQz48MPY0uwkpob7okwRXmFh50NesOFzVEPjkfTePOaGSgjXf
 SvUPfeeP5jhD82APPBdqPnVcDKGi/VMavFQQdmQkVZK7m796pyCqMLIrau1CCMj6s758
 M45pFgdW9bvG4McmmHV4MI3RsnP3+28+9ZcT7L4zVLwoPSIUHkH85AkN2FYPFriA1dPM
 fILce/QIi3YMYPjdK2PAQkNUDpDldSXFcRtZwpIpUdTcFeLTZ6b0FAYFExY3JjeOk2Dv
 DP7p2nPn6OD0rwJkT7eAa7u1jW2fLF/hr+IJUuDvEDDPYtpHF1uRNFc407RphZVHzmPK
 M3eA==
X-Gm-Message-State: APt69E2ulfgne3eQEpPZao5GKbYOU/w0B3VBihuf48d/nuzSbivxSpBG
 9SODAJbeX+byE+AvRg7rGh2syJSXHqK5YEhoq14=
X-Google-Smtp-Source: ADUXVKLLcL80j1gAQgZB3vpXEbbwOTwCEVVyDVzCnsqgZ7haF+TSMDgZXl88HVcOvJqZ2hYqO6AFvzkAdOBOQiSpfNw=
X-Received: by 2002:a5b:c09:: with SMTP id
 f9-v6mr11622144ybq.107.1530468555390; 
 Sun, 01 Jul 2018 11:09:15 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a25:7d83:0:0:0:0:0 with HTTP;
 Sun, 1 Jul 2018 11:08:54 -0700 (PDT)
In-Reply-To: <CAELgYhc=Q3VuuCjFtOx4=WDCT0Rj5LbSGq9HZFN7CkCtr0+rDQ@HIDDEN>
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN> <5B35F0ED.3070409@HIDDEN>
 <874lhmasho.fsf@HIDDEN> <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
 <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
 <CAELgYhcRcgFx7_Hu=QQ5swi+99en2gN8GAZ3M_omT8EYmuUHVg@HIDDEN>
 <CAELgYhc+fB9G1NT93Fovqb0EhSQ4-t3scrYBB=EkrNXpWNno6Q@HIDDEN>
 <5B389924.5040104@HIDDEN>
 <CAELgYhfUL1JscWX2MSY+A2tO2-+=Wi4ZtXSooXnPDQtrVB-2QQ@HIDDEN>
 <CAELgYhe-ras=WThgVJdTn2ziyEJwPn=1eoCYUkJcEq2u-4ftoA@HIDDEN>
 <CAELgYhc=Q3VuuCjFtOx4=WDCT0Rj5LbSGq9HZFN7CkCtr0+rDQ@HIDDEN>
From: Carlos Pita <carlosjosepita@HIDDEN>
Date: Sun, 1 Jul 2018 15:08:54 -0300
Message-ID: <CAELgYhfY_F_ExjBVATdzPiV5VGGDOB3UNSHUj5xMp6M2jqwR2A@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
To: martin rudalics <rudalics@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, Robert Pluim <rpluim@HIDDEN>,
 Jonathan Kyle Mitchell <kyle@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Moving to a more manual approach I find a new problem: at least under
gnome undecorating the frame makes it lose its focus.

(global-set-key (kbd "C-x t")
        (lambda () (interactive)
          (set-frame-parameter nil 'undecorated
                       (not (frame-parameter nil 'undecorated)))))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 1 Jul 2018 17:46:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 01 13:46:36 2018
Received: from localhost ([127.0.0.1]:42358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fZgQm-0001bh-Bm
	for submit <at> debbugs.gnu.org; Sun, 01 Jul 2018 13:46:36 -0400
Received: from mail-yb0-f171.google.com ([209.85.213.171]:45541)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fZgQl-0001bU-M2
 for 31968 <at> debbugs.gnu.org; Sun, 01 Jul 2018 13:46:35 -0400
Received: by mail-yb0-f171.google.com with SMTP id h127-v6so4313589ybg.12
 for <31968 <at> debbugs.gnu.org>; Sun, 01 Jul 2018 10:46:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=2lyyfEAY4dlpTN2Em9tfaGisFO/lIrzH1KToTfYt8mI=;
 b=OYHhWY3ecpPU9MwwugRJPiXLigZE3cIDpW/8CCxJxCFBxDOfHu+GlxHOegVr+GQsVt
 jHHzVlhEdccpV/h9DK/42SlZvrgf3mFP1geq7UORizZOwphg6gZEJgYpYy3q7+LliFpx
 v92xVXeSDKe6bzhBJbKGeP+ejvJeYn9SMtTtmr5OEPcXGslSfh0NOr1naJcQOmsv8pM3
 q9hjzeZNKTsJv5E+nuMVqw+HcJSmAd99qMTULqeEF7OMiC76gP3dUNX6udB0dhVuO/nH
 11ur5Ap+uzBJHHJg30a7w3Ht5o9sIJk+pRO32PJQ/9GJuEzrWhQosLusntDVc6g36AaZ
 kTUA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=2lyyfEAY4dlpTN2Em9tfaGisFO/lIrzH1KToTfYt8mI=;
 b=rY0tsJmHjFLAH6eH/XxjhoyTh5YrMlFWUpM8I+k3oCagjtXlQBIrDEjGMdV4G0+faS
 ItnFz5zDD5CYjLPtMFg6XSjxHy1tK7dByUh4uL50YM6hXxjjqfylPCcuD8KQrTIqYWra
 mNHrU8yTl93H3xbHyLTUapi3rQ0SaC43DxapipQKYhEDy8j8PmGpI92CgSla0SPCCYHj
 uFET2ETDmHPB9M5PmNcmUKeXEr0p3Gyl7gOEAXnYs42JgaaNLdtfrEJXy/a5XypUPqLA
 4QgvAkrCFYkGPjdwBh4Fc4VZeVjftcW01j8oRDpgCB8TBAFu8C9KaSzRoxsrO5QyEK82
 Ggvw==
X-Gm-Message-State: APt69E3k4MVxpBTzt+TPrXGUxnBUZn2lGaLwnou9Jna3VZ+c+4Li2hUo
 eK3xLlO/gw41bXexGhaVT++1BHreAKtn/W6vSns=
X-Google-Smtp-Source: AAOMgpd2WmHXGX0FqE+OVBApmh4weA0/esQQ5wlvHrYZCyn2bhwg4vR7/7dQn1p9xx1LTEA+wFXJ81UTZSlDNwAwVpA=
X-Received: by 2002:a25:32c5:: with SMTP id
 y188-v6mr2690882yby.108.1530467190175; 
 Sun, 01 Jul 2018 10:46:30 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a25:7d83:0:0:0:0:0 with HTTP;
 Sun, 1 Jul 2018 10:46:09 -0700 (PDT)
In-Reply-To: <CAELgYhe-ras=WThgVJdTn2ziyEJwPn=1eoCYUkJcEq2u-4ftoA@HIDDEN>
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN> <5B35F0ED.3070409@HIDDEN>
 <874lhmasho.fsf@HIDDEN> <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
 <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
 <CAELgYhcRcgFx7_Hu=QQ5swi+99en2gN8GAZ3M_omT8EYmuUHVg@HIDDEN>
 <CAELgYhc+fB9G1NT93Fovqb0EhSQ4-t3scrYBB=EkrNXpWNno6Q@HIDDEN>
 <5B389924.5040104@HIDDEN>
 <CAELgYhfUL1JscWX2MSY+A2tO2-+=Wi4ZtXSooXnPDQtrVB-2QQ@HIDDEN>
 <CAELgYhe-ras=WThgVJdTn2ziyEJwPn=1eoCYUkJcEq2u-4ftoA@HIDDEN>
From: Carlos Pita <carlosjosepita@HIDDEN>
Date: Sun, 1 Jul 2018 14:46:09 -0300
Message-ID: <CAELgYhc=Q3VuuCjFtOx4=WDCT0Rj5LbSGq9HZFN7CkCtr0+rDQ@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
To: martin rudalics <rudalics@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, Robert Pluim <rpluim@HIDDEN>,
 Jonathan Kyle Mitchell <kyle@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Same under Gnome, both Super-Up/Down tiling and Alt-10 maximize
toggling: decorations aren't restored, at least until some further
action inside the frame triggers the hook again. A more reliable hook
should be used if available.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 1 Jul 2018 17:36:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 01 13:36:24 2018
Received: from localhost ([127.0.0.1]:42321 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fZgGu-0001LY-I5
	for submit <at> debbugs.gnu.org; Sun, 01 Jul 2018 13:36:24 -0400
Received: from mail-yb0-f171.google.com ([209.85.213.171]:35778)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fZgGs-0001LL-HX
 for 31968 <at> debbugs.gnu.org; Sun, 01 Jul 2018 13:36:22 -0400
Received: by mail-yb0-f171.google.com with SMTP id x15-v6so4318297ybm.2
 for <31968 <at> debbugs.gnu.org>; Sun, 01 Jul 2018 10:36:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=fnuIZm5GCuwTGEc52Q4kSC3IpHvYo3pt3TRYcmldAiQ=;
 b=mDmY8fI2j/B0RGqdMdz+STkGAT1zfD6i/5TzewYyfLGE8xlvol4OnzrUgvS8t9jHkg
 M4V2CACUFWAWcaUaBv2K/7TilksntFCW7dl11g1xxntfvYQ/e2TY0jrTRyEM+yBjCQs3
 +gKqTTosAWeZErGkicniumUBMbL5NFNlI/Ayqc/Tgl+tDK4+eWZSUaXtp+EavfNMCqJs
 cGxNMjLeldk7kwvg0bf3xAbdevvJliHrQF6UAUQRSYs7x/8BjLEg2ijjTHtJuJTWKkmE
 1EfMho6gDgxSCJdey0xOP/ucsUdjuiIS3jYpohuoiN69CNwt8he9+AR1p25gntuYLz2I
 Qqlw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=fnuIZm5GCuwTGEc52Q4kSC3IpHvYo3pt3TRYcmldAiQ=;
 b=h5fNHl9LAc/CaL+2P2tv2YVW8qsSPrA6txv2+E6oLi5yZpIs0HsPydjD9zoLyuwtCO
 aTN70SOMHU84vEPAJZlT1cx3JAHFTmRxBiksfm1XGFENhSRsGlzkh86FOWfiZdjuXFqn
 fmH5wa1yzRGBRFsJOW+O88J2oxrazFyG0lBtDV8J57e5AF1XeFZX9jQZO+1dd1cXk3BN
 RInevbHYdRhCbu9WfRcR6iAwhRlYVpZlnJDj5P3MHgRP4BUkil4zg6TIfHl5QFH2bUsz
 te7S/g3DpzPC6I6GKbNc7LJ1ay24hmNzJALnYSIn1SL0M1Z2w+PfDuMLR8mjRsYcXXz4
 wJjg==
X-Gm-Message-State: APt69E3IvJiN7PiwI84L9E2Tm7DkJq760A5QBA523IGw9JxD/SFs+cBA
 Y26S5zQCEsUxebxLhEQQz8uMfG31dUo0mtA8bU0=
X-Google-Smtp-Source: ADUXVKLvYQK7p6+U/66GR9X2uNCuFhjlxWzraecKkA57/52M4ObeMYqeI6BbtEDkXLvU+oOEw3njK1Ckb/xVRd9zpjU=
X-Received: by 2002:a25:4d56:: with SMTP id
 a83-v6mr12234040ybb.226.1530466576942; 
 Sun, 01 Jul 2018 10:36:16 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a25:7d83:0:0:0:0:0 with HTTP;
 Sun, 1 Jul 2018 10:35:56 -0700 (PDT)
In-Reply-To: <CAELgYhfUL1JscWX2MSY+A2tO2-+=Wi4ZtXSooXnPDQtrVB-2QQ@HIDDEN>
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN> <5B35F0ED.3070409@HIDDEN>
 <874lhmasho.fsf@HIDDEN> <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
 <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
 <CAELgYhcRcgFx7_Hu=QQ5swi+99en2gN8GAZ3M_omT8EYmuUHVg@HIDDEN>
 <CAELgYhc+fB9G1NT93Fovqb0EhSQ4-t3scrYBB=EkrNXpWNno6Q@HIDDEN>
 <5B389924.5040104@HIDDEN>
 <CAELgYhfUL1JscWX2MSY+A2tO2-+=Wi4ZtXSooXnPDQtrVB-2QQ@HIDDEN>
From: Carlos Pita <carlosjosepita@HIDDEN>
Date: Sun, 1 Jul 2018 14:35:56 -0300
Message-ID: <CAELgYhe-ras=WThgVJdTn2ziyEJwPn=1eoCYUkJcEq2u-4ftoA@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
To: martin rudalics <rudalics@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, Robert Pluim <rpluim@HIDDEN>,
 Jonathan Kyle Mitchell <kyle@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

It could be a matter of timing since sometimes (ii->iii) indeed
restores the decorations, but most of the time it doesn't.

Also I realized that the above is more simple and reliable to
reproduce by just pressing Alt-F10 twice (toggle maximized on/off),
when restoring the normal window size it doesn't get its decorations
again. I would say that this also is a timing issue, because xprop
correctly shows that the x11 window is not maximized but emacs thinks
otherwise, probably because an emacs window was resized before the x11
window properties were set by the wm.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 1 Jul 2018 17:23:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 01 13:23:52 2018
Received: from localhost ([127.0.0.1]:42308 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fZg4l-00012a-TX
	for submit <at> debbugs.gnu.org; Sun, 01 Jul 2018 13:23:52 -0400
Received: from mail-yw0-f171.google.com ([209.85.161.171]:36453)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fZg4k-00012K-Cr
 for 31968 <at> debbugs.gnu.org; Sun, 01 Jul 2018 13:23:50 -0400
Received: by mail-yw0-f171.google.com with SMTP id t198-v6so5926040ywc.3
 for <31968 <at> debbugs.gnu.org>; Sun, 01 Jul 2018 10:23:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=ULmi476fPFVKcRI9b8WRzekJ4n5pAj1X+bXzj2rhUQc=;
 b=uf0Xn4CKfq2TLcrWZqKZSmnlOGEkiyTtFy4ERkBO7TrN+F0YCRZwyMVW6XdvXBCeKQ
 dSejGlZM9CtL++UwW8QzYu2xLmfWMQ+AT8s5kl+rvjR9gdkm8KyvlAzaJwX3hEGRaObO
 uMunOu3HIrT0D1orw79KhAzd74EBkEb90et7fxXuTj7yXZaElIQO90/40QqOwfokDrqU
 VGPSLkSgg1wDCcD5TGyC707LNsVR96ucid3NOjBJb9+h6IojT09/AKBjvp7OUobM+z0a
 1qF1L2L7veUGWcR63cJfJQvkw6WkLs8G4S4pUSeQ3+kC3ASB1fCm+jEGgsAQA9jMXoJq
 FE7A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=ULmi476fPFVKcRI9b8WRzekJ4n5pAj1X+bXzj2rhUQc=;
 b=sGvKGLWMosuaac06Csac6XKR7Cf3C81Hs4W4WMKMuwEt010rdpE+JaomRbz0R8dqeP
 VYZrw/MAI5oH9kUNO0Qg2IoZoLVlsbdJK0EQKQJRErDD0NsIeUcAXxc5SfgEUEBlf9iA
 bN4ipbn+Q0MLISU7hFfS/NEWmnU9PsspmmI7yqxdrKyjRmbcYtftzWXCwiRyrjF288Xc
 ZFuBDQY4cSzID/JRGnf0E8EinMFmEu9wZOLTt1bwQpxlLyieJT4wytErqXMF+qhenpBG
 vjziKRlsGeQjcF0kkp6666QImLczaq8JMSgWWEeb8C93oLqcMwzagM+sF9tkL0KUTHBt
 vC+Q==
X-Gm-Message-State: APt69E3l5f3GKFqTXKmChvSv4kT9KrV6B/zAu5Kh+QGhbHuETbbOEv/G
 JRa88vVFOaOoF7uGaZmrU3ytNVwP6C9Jgs+vKkE=
X-Google-Smtp-Source: AAOMgpeK7EkbMk9rXIlTk/+pCAOS40Hxdo6Ubzg82w+sPALAt3T0sB/GAw66vy6QVWwIogEgBFPWzLnu3Zvd8yWfyHw=
X-Received: by 2002:a0d:f587:: with SMTP id
 e129-v6mr10585388ywf.277.1530465824820; 
 Sun, 01 Jul 2018 10:23:44 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a25:7d83:0:0:0:0:0 with HTTP;
 Sun, 1 Jul 2018 10:23:24 -0700 (PDT)
In-Reply-To: <5B389924.5040104@HIDDEN>
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN> <5B35F0ED.3070409@HIDDEN>
 <874lhmasho.fsf@HIDDEN> <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
 <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
 <CAELgYhcRcgFx7_Hu=QQ5swi+99en2gN8GAZ3M_omT8EYmuUHVg@HIDDEN>
 <CAELgYhc+fB9G1NT93Fovqb0EhSQ4-t3scrYBB=EkrNXpWNno6Q@HIDDEN>
 <5B389924.5040104@HIDDEN>
From: Carlos Pita <carlosjosepita@HIDDEN>
Date: Sun, 1 Jul 2018 14:23:24 -0300
Message-ID: <CAELgYhfUL1JscWX2MSY+A2tO2-+=Wi4ZtXSooXnPDQtrVB-2QQ@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
To: martin rudalics <rudalics@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, Robert Pluim <rpluim@HIDDEN>,
 Jonathan Kyle Mitchell <kyle@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Under Cinnamon it worked without flickering. There is just a minor
problem that could be pointing to a bug elsewhere in emacs. Cinnamon
implements a progression of tiles layouts, for instance starting from
a normal sized window (i) you press Super-Up and the window is tiled
to the top half of the screen, (ii) you then press Super-Up again and
the window is maximized, (iii) finally you press Super-Down and the
window returns to top half tile mode. In general only fully maximized
windows (ii) gets undecorated, as intended, but when transitioning
from fully maximized to top half tiled (ii->iii) emacs still sees the
maximized state in the fullscreen frame parameter and fails to
undecorate the window. Nevertheless the client state in (ii) is:

~:: xprop | grep _NET_WM_STATE
_NET_WM_STATE(ATOM) = _NET_WM_STATE_MAXIMIZED_VERT, _NET_WM_STATE_TILED

The problem seems to be in the reported frame parameters, not in
Jonathan's hook.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 1 Jul 2018 09:04:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 01 05:04:47 2018
Received: from localhost ([127.0.0.1]:41615 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fZYHn-0004WC-E2
	for submit <at> debbugs.gnu.org; Sun, 01 Jul 2018 05:04:47 -0400
Received: from mout.gmx.net ([212.227.17.22]:46285)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1fZYHl-0004Vw-Ko
 for 31968 <at> debbugs.gnu.org; Sun, 01 Jul 2018 05:04:45 -0400
Received: from [192.168.1.101] ([46.125.250.78]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MhMg2-1fnM4y3jyk-00Me1N; Sun, 01
 Jul 2018 11:04:39 +0200
Message-ID: <5B389924.5040104@HIDDEN>
Date: Sun, 01 Jul 2018 11:04:36 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Carlos Pita <carlosjosepita@HIDDEN>, 
 Jonathan Kyle Mitchell <kyle@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN>
 <5B35F0ED.3070409@HIDDEN> <874lhmasho.fsf@HIDDEN> <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
 <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
 <CAELgYhcRcgFx7_Hu=QQ5swi+99en2gN8GAZ3M_omT8EYmuUHVg@HIDDEN>
 <CAELgYhc+fB9G1NT93Fovqb0EhSQ4-t3scrYBB=EkrNXpWNno6Q@HIDDEN>
In-Reply-To: <CAELgYhc+fB9G1NT93Fovqb0EhSQ4-t3scrYBB=EkrNXpWNno6Q@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:HJEK1TljJ5rBk7V3fuQg4Qcg1dqHchSMOFR3LetUcRJAwqKLlmY
 wi5i5GS6B0F8abx4jagadi5Wsc12ndmTx2/fiN3SeOKaQL6MevKA7sT9pdnO9EzcbGVbYYH
 VT3m69HKrQMMqMOKhCmKwbRU8eiLuIRmwhaqH2aqaiK5G+yGd0iWfT1fYhffIhTjAkGgKZh
 h8JQBFQbVL//xejRUNGCg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:gZBnt394aCI=:a06/WwqOwB0kisd3rC9ylW
 5q8MYhFFm6ykNxxcfNFowHI0Zh9NW29HvhjulUa2W1CAUcwDII6k6/duZEKVSJEGeSqV/nGc6
 UTipyMCUscbZQjdPDCxE9TZjMeE3elwh3/ELNsPc5+6p2FIAThY2LEmp1KR/OEPVt7RsXKLAq
 7ixzkSsMnlVIBSffto1WKqiNL6SgvFUWwZzZ9+Ub8wXfp38IFIdyRxWB5ox1Emp3C0T8ZSXXq
 p+9lqYYvCH7K0Ib/xYe/4maN6jp/0zIHXwxfg8K7mnaEsfKCGyxG5bFBJT01NNuoAOBC9ATVC
 tN5FFSbslZLqdu0a7hlDSqwfFEkYk8Zy+pGGhO+dm0ggwaXBiCa3EUiROp2dDrlxCI623VA0U
 VEwztxC6ZBddXg24B2F4UsVGA5GdDixFXVLp0u5soX7bR1+wtxW8WLSjbuLmok3dgtWkNZyRU
 RRnW27lkurgbwEisKUNQpTzeJNDIaAKqBS1905j+zUJ9OjiBQyOnlXI0yJgxoP8WCR1rFZnDE
 d8ADhRLc3B4BcN2fGvmi2b7w7GlsyAvl3RXTn3MKefIqF235sMoy9vTuSl/xRCypARjCoYLIC
 lqwQYPbsgTgS06H3JSAMuE8R9omPiLnMWktKC0p9OLSAwpPXQkKPzK6QPU+pYwY3SETXxqFjY
 Kpqocy8fQWOV3m0pz0adGtUuBD3/1k+KJumcFyeTIKIAwWmxleAYR0R+dLHqZinDQUrDSX0Fi
 Fqdsleku5r2QY8YksmOUrJUgeSbU7JVGOrgE3+xfVFWnOpDAfySODzhU+gsHjue8qhfZGu43e
 kdNaujL
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, Robert Pluim <rpluim@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > Bad news: this doesn't work under Cinnamon, only Gnome. I somehow
 > assumed it was gtk itself hidding the decoration, but it seems it's
 > not working like that.

GTK just manages the settings we request and passes them on to the
window manager.

 > Nevertheless I'm more fond of a pure elisp approach like the one
 > suggested by Johnathan (hooking from window-size-change-functions). Is
 > there anything wrong with that?

Couldn't you try it?  Just check the 'fullscreen' and 'undecorated'
frame parameters there and if they don't match (that is maximized and
decorated or not-maximized and undecorated) set the 'undecorated'
parameter appropriately.  Later on we have to make sure that a per se
undecorated frame does not get decorations when it's demaximized.

I'm afraid you will see some flickering though.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 1 Jul 2018 09:03:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 01 05:03:11 2018
Received: from localhost ([127.0.0.1]:41611 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fZYGF-0004Tu-2O
	for submit <at> debbugs.gnu.org; Sun, 01 Jul 2018 05:03:11 -0400
Received: from mout.gmx.net ([212.227.17.21]:37737)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1fZYGD-0004Tg-MB
 for 31968 <at> debbugs.gnu.org; Sun, 01 Jul 2018 05:03:10 -0400
Received: from [192.168.1.101] ([46.125.250.78]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lj4xG-1g83jM2U8s-00dEKp; Sun, 01
 Jul 2018 11:03:02 +0200
Message-ID: <5B3898C3.3060208@HIDDEN>
Date: Sun, 01 Jul 2018 11:02:59 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Carlos Pita <carlosjosepita@HIDDEN>, 
 Jonathan Kyle Mitchell <kyle@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN>
 <5B35F0ED.3070409@HIDDEN> <874lhmasho.fsf@HIDDEN> <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
 <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
In-Reply-To: <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:KfYp/U/ozDkKRgT2XqiL9wQWD+ILFDHVIyjJ2sqJ45ZKjcqHdJI
 ko4L8IBU/tyfIHyOYPMVvzrNTUclGHLru2Tr5YvQaUZrrVT4P02CTb8iQNNh2E49SsFQI8J
 +DR9CrePZuVr57ZIA4eBCK1MgMtgc2mZEQk/B/k0oOxTH2cQpOixDjprZr7YdJwa6DX0PST
 hMKt8dIzLS4BqApuryGcQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:AAaRl1hDKow=:NtnlHdIL/z+It33kk/3KOg
 6Ytx41XP/U6ELtWWVG2CecSEwU3WL0aCnZQyLOWcZnXe07rNYZccVZwJ39xDZDsBzZWsnWW4S
 T5vY1SUwGfq+OiY1wlrljAYsuj8SMZGyJ9WDhC6LzBQ7DpgE/r4yZ3ifTFjSiK7qYQehAdYDa
 XVP6w0WICo3B8KM3kgkv4ygNgyacA0YIUAb6y57fOdJm4ZBzC0/rMKwriit+YeQ1kn/IWXscG
 mhglVVNgsaLbb8RKfe33lxbUWPTvw1U/3+Eoxq+J+4FkRp4u2NRWG2oWWR1L5eL0dbSspHihM
 m+04yA8apr+RROAAaDm9ryLyBUgF9ttCij5mKj3oV/MgyHiDU91HS1ul5WgEVyBuPB3B9vvLJ
 qD3kCoau9e8Y0HAGsCQq5mcT1zDWBW2qXi9Q1nNTJ24vH/nnk2FgBJEV2BI31aHH/UtO7JCfP
 61qz615pBdSW711uZvACzn0v23Id1gQdnUxFqetohKO+Nd99FjZ6pLffY51MQx1sqyfoBYYLX
 0HZZpyxMYaN1f4nzk5oBOX/6JtOTaVteWiSM5cxcgucaFZsDOwY9oLaI0OEATlAwQokaTHmaX
 j3VzSWUZMvNmkzbeuJV6Y0NrqLOIY/jMSOo/X/JopDwqsXRJiD+7ujsf3Qb27S1yOLe8OMaR9
 NhHQZQTPuy6ApB3R0seckI5KOomjDRDVYPmL/t1t3DJFvrWSr8g9R2nU7nE30kwx20YCuIyOm
 tu15UaS/ujYLwua2hM7FqyzAEY/EAbpw+1++YwW+E5KdGiNK00LlUAfds3Xv3MJyrJFR3SbSG
 CT5rAX4
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, Robert Pluim <rpluim@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Works for me too. I had to manually apply the patch because it doesn't
 > cleanly applies on latest emacs-26, but besides that it does what is
 > announced.

Thank you.  Which are your desktop and window manager?

 > I think it's ok for this functionality to be gtk only since the kde
 > people (and mostly everyone else) hate the csd stuff and want their wm
 > to deal with decorations, old school. There is a flame war around this
 > issue indeed. Plasma can be configured for "hide titlebar on maximize"

Does this apply to all windows even when their application has not
requested such behavior?

 > but gnome and its derivatives (thinking of cinnamon here) can't. I
 > wonder for how long it would be even possible to hide the titlebar at
 > the gtk level.

IIUC it has been added in 3.4 so it will probably stay there for a
while.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 1 Jul 2018 09:02:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 01 05:02:43 2018
Received: from localhost ([127.0.0.1]:41606 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fZYFm-0004Sf-P6
	for submit <at> debbugs.gnu.org; Sun, 01 Jul 2018 05:02:42 -0400
Received: from mout.gmx.net ([212.227.17.21]:59565)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1fZYFl-0004SQ-36
 for 31968 <at> debbugs.gnu.org; Sun, 01 Jul 2018 05:02:41 -0400
Received: from [192.168.1.101] ([46.125.250.78]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LguAU-1fx5MS0A2I-00oEqU; Sun, 01
 Jul 2018 11:02:34 +0200
Message-ID: <5B3898A6.7050707@HIDDEN>
Date: Sun, 01 Jul 2018 11:02:30 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Jonathan Kyle Mitchell <kyle@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN>
 <5B35F0ED.3070409@HIDDEN> <874lhmasho.fsf@HIDDEN> <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
In-Reply-To: <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:ZzdKw7QDxVHiNqS37/cJnaJjBE58zXTvX+U/ARFlJh5vYxoYUgJ
 NJpBOYMB/c7ngyti0UfGbxRa1RsB0In0MrpW8SFqEqbW1zqWCMuRtEToviYJ2oitSuQHlI6
 eRhDhV1vgS+5PKFyFFaIrMlHbH8T4HYbdIAJby2DH9Ao4bJH7hs2iImk0IGVRXIzMbP8Lue
 WRk0leqmeZm2G70kEM0QA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:+J57eSzROyY=:08+8Qf2WYgMJRSxrvWBBpL
 2VDKOYkId3vluxDX/Wh5RzK4ATsNogSDzUnZxEQ7uhus0MWdFLhb6DC1OCq6DFUnW6qI5zUcf
 z/4xON+nKZTgan0gdML74acF2Cmk9Mu+Lk47/M/A9VUqMBY70Hunq5sFbb6bsK+vSgZ8N/eJX
 2YjrCjGPUJE3Tm2c5SaX7AzZEfjopmEfyyyPmf4fzeFAqwjqgKf8slueYwRfsqSZkYen2Q4hb
 0bW0qLNR2alpD/gEH81Ly9DFdGokTvm9kLexbOEWBJA3Ff52msfYfrFckqag/8UxBc3uqheBS
 MovBH7JA/t+yVYvCmJnaS5viqC4YxYg9KdkhfBtNM4CIMn3FfecqJ1+OvPXTtTNRonNeJu0UJ
 fgbrdXFpihDzFfzAfgtYCsHNWmG+HkZEfyFwIW5uyPnvWa7Hb8rRnsQvqU7CPLSvFBr2/drU/
 +8Ha7dlu4Trd4lIzqqtzZ0ddF6bubjKLjRIEdf9x5RPDsDZ0uU2R7B1gO4ehLZNWcO4dwOBia
 7fySS2+tdK0kOTfv/fEKlAfy6RJLQFyX3lM803UGOeu+/OJgerklcIVhJT4N51VxIo22zeSop
 VdUbEC0fHJ9NTA8o5fEWStaH49zgL2NnUenRH7xn/xGOWjulLOpj9/r290B1eVgew6P2NpI6u
 J6KowCqYCuJgMQ32X7WI98sKI60WHGSfOMVHbR0I8TUxsM/fR76TRCAYW0BjYpoVSJHOM1Kz0
 KFoMwGBlEqHEjnH/1N1SY8Y9e6QfKPtIZVvIf9UBx4ZgpOFbNheoRkQYa/3+pVhEgIaVjHAZt
 1wQGozL
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, Robert Pluim <rpluim@HIDDEN>,
 Carlos Pita <carlosjosepita@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > I had the opportunity to test Robert's C patch on a recent copy of the
 > master branch today in a Fedora 28 VM using Gnome3, Xfce4, and KDE5.
 > Setting the hide argument to `t' in the new Lisp function
 > `x-set-hide-titlebar-when-maximized' worked as expected in Gnome and
 > Xfce--the titlebar disappeared when I maximized the Emacs frame.

Thank you very much for testing.  Can you check whether it works when
maximizing an undecorated frame?  That is, make a new frame, in it do

(set-frame-parameter nil 'undecorated t)

then maximize it and demaximize it.  Is it still undecorated?

 > The
 > KDE titlebar remained in place except when putting Emacs in fullscreen
 > mode.

Somehow KDE is a notorious refusnik as far as Emacs frames are
concerned.  While you're there: Can you confirm the strange resizing
behaviors of Bug#31968?  For example, does evaluating

(modify-frame-parameters nil '((left . 0) (top . 0) (width . 130) (height . 56)))

result in a 130x56 frame?

Thanks again, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 1 Jul 2018 00:13:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 30 20:13:31 2018
Received: from localhost ([127.0.0.1]:41537 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fZPzf-0000Vc-Og
	for submit <at> debbugs.gnu.org; Sat, 30 Jun 2018 20:13:31 -0400
Received: from mail-yb0-f170.google.com ([209.85.213.170]:46740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fZPze-0000VO-LV
 for 31968 <at> debbugs.gnu.org; Sat, 30 Jun 2018 20:13:30 -0400
Received: by mail-yb0-f170.google.com with SMTP id s14-v6so3882442ybp.13
 for <31968 <at> debbugs.gnu.org>; Sat, 30 Jun 2018 17:13:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=niwwoHtlVpH9fb8q5hv0w5oe7sp+9+bcLmM1l+XUEkQ=;
 b=nHyZzPpCkZtAp7uPC9DqMnffh1xC0bOEo6LAUL8qb8NR2Ax8x0Kk+uzxynv97JBwGh
 9YEkW/GtlCPGiiqK21zY701o1ySHVqH6kgy9TcBtr38AZ8dKsKtoQ6itfQDi5coiqziA
 zJETfIJUS+WhsKt/RbiaCUmvRuQyW2A5XLEXUkXMvAtHRdncLUxcESMW96oAVRilTZ/Z
 pugmuFMcfG6w4vOzgzsP52aOkZkWQUuYIgKANQgdoBSrji+heXXaBBzWs4sztuMo81fT
 8OkFztf6wJYfqQrsZEaN3FukSwXqrSZ/jVdzzFoMdhb48DmBztAGSBgwxZoquG7usiQn
 7W5w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=niwwoHtlVpH9fb8q5hv0w5oe7sp+9+bcLmM1l+XUEkQ=;
 b=MhVyP5BdbqoabGYPF/2eXEFTnoR9CRORF8qJ+skIshalPXw9qWkeSPsRYM2kdFBs09
 OXbbOrPXVjOTe2Q4+Jg+ANlIppTPDQ/aO2hnoe7Zph0hI7MS5PCnyFBhSoIoX8bimdZN
 msXDwM4XlGIgqlPi7accQD7l3sXp9d8QZjbAWVcDrFHbksQdfMKQqufO+e3NwwLxNQsA
 CkKJx/18wQ+Ot98KhTI2Iz8CGp2kf3i1CZwLeukPzzPvpD2DUUXdsoRIUK3ffRcRUSmg
 2LZmktrvuAoSpFJA+mkgODu+JBvlD4qviw+yGbZ2Fhx4HfJbgUVVCs1imi/zTPd9OuIY
 ufoQ==
X-Gm-Message-State: APt69E3ncaoN+TYXShGVebjFMCzrsCvxZ4XnTalqag9EcDGHfOItniTo
 NRKHF2rhk9Yu1rpSw5e8v9FSw4EIheR8cxTXReQ=
X-Google-Smtp-Source: AAOMgpet0xW3bxrTgrpsmSzlovq0WQAumGpDkp9a5KBHyqij4UZP97SAUEX91MzlbupOMs1O2dpwAlYZtkS9p0CvjMI=
X-Received: by 2002:a25:ad54:: with SMTP id
 l20-v6mr8349436ybe.32.1530404005074; 
 Sat, 30 Jun 2018 17:13:25 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a25:7d83:0:0:0:0:0 with HTTP; Sat, 30 Jun 2018 17:13:04
 -0700 (PDT)
In-Reply-To: <CAELgYhcRcgFx7_Hu=QQ5swi+99en2gN8GAZ3M_omT8EYmuUHVg@HIDDEN>
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN> <5B35F0ED.3070409@HIDDEN>
 <874lhmasho.fsf@HIDDEN> <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
 <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
 <CAELgYhcRcgFx7_Hu=QQ5swi+99en2gN8GAZ3M_omT8EYmuUHVg@HIDDEN>
From: Carlos Pita <carlosjosepita@HIDDEN>
Date: Sat, 30 Jun 2018 21:13:04 -0300
Message-ID: <CAELgYhc+fB9G1NT93Fovqb0EhSQ4-t3scrYBB=EkrNXpWNno6Q@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
To: Jonathan Kyle Mitchell <kyle@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, martin rudalics <rudalics@HIDDEN>,
 Robert Pluim <rpluim@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Bad news: this doesn't work under Cinnamon, only Gnome. I somehow
assumed it was gtk itself hidding the decoration, but it seems it's
not working like that.

Nevertheless I'm more fond of a pure elisp approach like the one
suggested by Johnathan (hooking from window-size-change-functions). Is
there anything wrong with that?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 30 Jun 2018 23:26:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 30 19:26:08 2018
Received: from localhost ([127.0.0.1]:41526 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fZPFn-0007pj-RT
	for submit <at> debbugs.gnu.org; Sat, 30 Jun 2018 19:26:07 -0400
Received: from mail-yw0-f176.google.com ([209.85.161.176]:39756)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fZPFm-0007pL-GT
 for 31968 <at> debbugs.gnu.org; Sat, 30 Jun 2018 19:26:06 -0400
Received: by mail-yw0-f176.google.com with SMTP id 81-v6so5518945ywb.6
 for <31968 <at> debbugs.gnu.org>; Sat, 30 Jun 2018 16:26:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=IrQOSOJ4B23LOlg0yhbBq/Tc/51fVZemPEicw1+Or78=;
 b=U5AwzlKPzz5lVhkVyPU40DnctcR+unaDzUGaycIU6UueGXwkJ8dEMtUCL9vqWqe/q4
 Y6IBPlrxQm66YjrnG+6BSsZH1ICgTkyIS+uXNJCT+nZzWKkorpM8qIkAY5t+m6UwVGwf
 /QO7L8745lUoF/IKD9MgHl/ng6Zz0vVnMFLC412RIBi/w2HNq+s7Yixeuu/UOuVQUbpB
 TucNK5hGr4qzfPluRHmbcz8incioL+zp0ulGe4PGd07czwvOZEouPtOYrOIhRz5Ya+hO
 qJA2K4w2XXchPns88tGDjMeVfVKgf5x3dB5W9uNg/XrT7ihFqIJY/waeaJWZGQuBHPoN
 lufQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=IrQOSOJ4B23LOlg0yhbBq/Tc/51fVZemPEicw1+Or78=;
 b=ID17iERGbL/CY5wC/nxtwRtl4+8JqliaqyszFrMDKOUzpUjdy1n/3w38++mJ2K/Cpa
 X07L14vU4/HAapz5l4ywRxIduApMTUf1MyWRankBzzh+AFzR07VQI0FcgJEce524DvHS
 DqpK7hH5P8bVJSInqFeYjn3fiV49XCiCz2wP7gnZ33C+OnzBDXsrhUDn13tI0noopPDd
 vQj/GDUSRu50BpMB1O3+umnYg1Ybq6NbE/WXa1v108Wo5oOMbFQsPvrmJTPcwKBW1Znf
 YRe9JN6NTjKGiUVhOgLLr4I88s1X/FcM2tj+xzdTIIMChGFk9f+3jdnH+i/KcnPbkOn6
 v1pw==
X-Gm-Message-State: APt69E0au6QGsheLrcEV+Xj0KKu92/s5lqfFrMmJmRlZC1DtBG/HxtVu
 NwZ1jghIaS+IdvEWHS64RJ/l/sujOjtR/dazmWc=
X-Google-Smtp-Source: AAOMgpeqcUgJukXyQd3UmIXN3Uwh1Wgcxnbeu42/8hj8ObkRrrH8yIfaTaB8RL5kENEFisUyag55XYVuOe5ebJSUa+0=
X-Received: by 2002:a0d:d981:: with SMTP id
 b123-v6mr5407169ywe.64.1530401161045; 
 Sat, 30 Jun 2018 16:26:01 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a25:7d83:0:0:0:0:0 with HTTP; Sat, 30 Jun 2018 16:25:40
 -0700 (PDT)
In-Reply-To: <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN> <5B35F0ED.3070409@HIDDEN>
 <874lhmasho.fsf@HIDDEN> <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
 <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
From: Carlos Pita <carlosjosepita@HIDDEN>
Date: Sat, 30 Jun 2018 20:25:40 -0300
Message-ID: <CAELgYhcRcgFx7_Hu=QQ5swi+99en2gN8GAZ3M_omT8EYmuUHVg@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
To: Jonathan Kyle Mitchell <kyle@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, martin rudalics <rudalics@HIDDEN>,
 Robert Pluim <rpluim@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Sorry if this is a silly question but what would be the right hook to
call this function? The frame should already exist but not yet be
mapped or made visible.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 30 Jun 2018 22:54:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 30 18:54:33 2018
Received: from localhost ([127.0.0.1]:41517 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fZOlE-00076g-R4
	for submit <at> debbugs.gnu.org; Sat, 30 Jun 2018 18:54:33 -0400
Received: from mail-yw0-f176.google.com ([209.85.161.176]:37061)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fZOlC-00076S-Ud
 for 31968 <at> debbugs.gnu.org; Sat, 30 Jun 2018 18:54:31 -0400
Received: by mail-yw0-f176.google.com with SMTP id w76-v6so3117778ywg.4
 for <31968 <at> debbugs.gnu.org>; Sat, 30 Jun 2018 15:54:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=O46JnKta6Kd3L4BgSvE5q5AdIcbEGPCAvb/GqkzmtW4=;
 b=n1JqulLwhcm02ToQaU4QmakKb49HXYEL15VHG1pz4U3ji3rfMamPPGDHMZLQ4Xh2vv
 ylsXYBgTDI16AnDB5++VHIIyveESbt/v+jzLJWT2VSNfmkz1gcAUH0Ll2NfvB3/UQ+Qt
 sCNyWZOeZsyoNa15prSiXzIS/XyoxPZC7FiP5wZzndqVsLKOIlMPKhATkEomkknzwFvi
 Hev7HN33hIJVtjeE3eCMinp32/BMK2Hls2nttGc1LRtamupoqNQ3cxdK+lPgwLBDAEiP
 m67V1pT5K6KFztfC0AVy6NmwWijR1pcu2EzHii8J0y4D4UT2XsOfZrZOOAlRtwRbHwca
 4yWg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=O46JnKta6Kd3L4BgSvE5q5AdIcbEGPCAvb/GqkzmtW4=;
 b=SK1LXVDinQaB6Rc85N8V9dHBHm2mA3bzvnUM0oFbXFlwyYLFt1ZQEOdsi7O0A0V92I
 RLN1P9ZiL+yt3jIaHaeqpFRgv7osXW2urF0f4kmKioS6ef4p4lhfvmRT0f7cCVGWnr5Y
 eEykgxcdpBZm7cer891HqTPeC65RTA9IBD+qSrAuiO80U2aPKw+hP8DXaMnNFqC8q0h+
 eoHQQixuknedERLRCcCvtrBnX4or/obQKtMK4+la6SXc+GbIVyyTdLbRy9afeBSeMe3b
 ZMq00+U/CJfkKzwtxzkeQbEOLbMrIe6m55o7Y2qtesiIs61n/opkPIuJnc+Q5o6bCrJ7
 kxXQ==
X-Gm-Message-State: APt69E0IybNUCvVwga8DUM+htGpkmEQpYNikfuVManIJQc7gH185Ya9B
 j6X4WiS9nVAhBhytQTd9drLbMdNAtKcO0vr4E0s=
X-Google-Smtp-Source: AAOMgpd7Jt0bonPLJ9Ba1BUItjAfbklo1k5MKNDq+XycdFP8T5QIJqDTZaxSUZAp3yirtXUi/snreE/VuBhqNch7YxM=
X-Received: by 2002:a81:ac0b:: with SMTP id
 k11-v6mr2974427ywh.57.1530399265267; 
 Sat, 30 Jun 2018 15:54:25 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a25:7d83:0:0:0:0:0 with HTTP; Sat, 30 Jun 2018 15:54:04
 -0700 (PDT)
In-Reply-To: <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN> <5B35F0ED.3070409@HIDDEN>
 <874lhmasho.fsf@HIDDEN> <5B374075.50300@HIDDEN>
 <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
From: Carlos Pita <carlosjosepita@HIDDEN>
Date: Sat, 30 Jun 2018 19:54:04 -0300
Message-ID: <CAELgYherpuhSpjki8LD2BJc5UOnSO4NtPD79y0q7qFZiJaG0-w@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
To: Jonathan Kyle Mitchell <kyle@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, martin rudalics <rudalics@HIDDEN>,
 Robert Pluim <rpluim@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Works for me too. I had to manually apply the patch because it doesn't
cleanly applies on latest emacs-26, but besides that it does what is
announced.

I think it's ok for this functionality to be gtk only since the kde
people (and mostly everyone else) hate the csd stuff and want their wm
to deal with decorations, old school. There is a flame war around this
issue indeed. Plasma can be configured for "hide titlebar on maximize"
but gnome and its derivatives (thinking of cinnamon here) can't. I
wonder for how long it would be even possible to hide the titlebar at
the gtk level.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 30 Jun 2018 22:32:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 30 18:32:35 2018
Received: from localhost ([127.0.0.1]:41506 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fZOPz-0006bf-N5
	for submit <at> debbugs.gnu.org; Sat, 30 Jun 2018 18:32:35 -0400
Received: from mail-ed1-f49.google.com ([209.85.208.49]:46946)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mitchell.jkyle@HIDDEN>) id 1fZOPy-0006bS-I9
 for 31968 <at> debbugs.gnu.org; Sat, 30 Jun 2018 18:32:34 -0400
Received: by mail-ed1-f49.google.com with SMTP id r17-v6so9258719edo.13
 for <31968 <at> debbugs.gnu.org>; Sat, 30 Jun 2018 15:32:34 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=KxKy7VOtIKcdbcqfX3aJCX5AA4b+DjanUYqAg+SadUY=;
 b=LzAKgNbfXMltinqtpIVDoXdrherW6/c82lLhur11vKQBx2k5dEGI6khqV2weiz7hoN
 BVgfwrMjITLTfiK0ywK4/r4uOL2Zc86PryiBC9LSd2cYZD1WomvHZUh8sRDOl3mBGhxz
 XrVdTVKpcOWxbRdig8M0eZ4A5W8SIskekGGhLN9LQQ81MeHBd45a/1hqZWlfoQ7B5aLP
 kPUz+ut1D/IM6zsrqEX0onz/U668DffZxqeKrb+uyI6Gbm4fuciDY1ZQAJOFeTcakDQ1
 BkG5EgM3UtI5Rk16JlFkoHs2gltYLI44qxCAfDB/EzwU11VeqDHjh+maAZeXafjEWswD
 +y3Q==
X-Gm-Message-State: APt69E0Mp/acNxPLq83vYsQmMhHTsj698tUOwO3qPWuVfWZsipqmxAtN
 3CrCReyE51c6NZFywG4Y4x8b020FRNk=
X-Google-Smtp-Source: AAOMgpeGlJz52+j10l5byCaiC5SbZEIMktHlD2M2iR1xqafuB2H+x8D8ClBfPCmQEvFMvoLXKs8U4Q==
X-Received: by 2002:a50:8d88:: with SMTP id
 r8-v6mr16766111edh.86.1530397948373; 
 Sat, 30 Jun 2018 15:32:28 -0700 (PDT)
Received: from mail-wm0-f46.google.com (mail-wm0-f46.google.com.
 [74.125.82.46])
 by smtp.gmail.com with ESMTPSA id e20-v6sm3703435eds.20.2018.06.30.15.32.27
 for <31968 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 30 Jun 2018 15:32:27 -0700 (PDT)
Received: by mail-wm0-f46.google.com with SMTP id u18-v6so5266541wmc.1
 for <31968 <at> debbugs.gnu.org>; Sat, 30 Jun 2018 15:32:27 -0700 (PDT)
X-Received: by 2002:a1c:497:: with SMTP id
 145-v6mr5087996wme.157.1530397947663; 
 Sat, 30 Jun 2018 15:32:27 -0700 (PDT)
MIME-Version: 1.0
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN> <5B35F0ED.3070409@HIDDEN>
 <874lhmasho.fsf@HIDDEN> <5B374075.50300@HIDDEN>
In-Reply-To: <5B374075.50300@HIDDEN>
From: Jonathan Kyle Mitchell <kyle@HIDDEN>
Date: Sat, 30 Jun 2018 17:32:16 -0500
X-Gmail-Original-Message-ID: <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
Message-ID: <CAAnK0TZDeX82pAw1GkMqVhK97t05++0PXg=HyK6Q8NUa7K=E4A@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
To: rudalics@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, Robert Pluim <rpluim@HIDDEN>,
 Carlos Pita <carlosjosepita@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On Sat, Jun 30, 2018 at 3:38 AM martin rudalics <rudalics@HIDDEN> wrote:
>
>  > That would be a somewhat bigger patch. I=CA=BCm assuming we=CA=BCd nee=
d to
>  > adjust nsgui and w32gui frame parameter definitions as well.
>
> For non-GTK builds we'd have to proceed as follows:
>
> (1) When we do the maximization ourselves, remove the decorations
>      first and then maximize.
>
> (2) When we get a maximize event, remove the decorations.
>
> (3) For any event or action that removes the maximized state, re-add
>      the decorations provided the frame should not stay undecorated via
>      a frame parameter.
>
> So this would require some quite substantial coding effort and should
> definitely wait until someone confirms that your GTK patch works.
>
> martin


I had the opportunity to test Robert's C patch on a recent copy of the
master branch today in a Fedora 28 VM using Gnome3, Xfce4, and KDE5.
Setting the hide argument to `t' in the new Lisp function
`x-set-hide-titlebar-when-maximized' worked as expected in Gnome and
Xfce--the titlebar disappeared when I maximized the Emacs frame.  The
KDE titlebar remained in place except when putting Emacs in fullscreen
mode.

--
Jonathan Kyle Mitchell




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 30 Jun 2018 08:34:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 30 04:34:07 2018
Received: from localhost ([127.0.0.1]:40327 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fZBKZ-0007rm-1a
	for submit <at> debbugs.gnu.org; Sat, 30 Jun 2018 04:34:07 -0400
Received: from mout.gmx.net ([212.227.17.22]:39427)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1fZBKY-0007rC-00
 for 31968 <at> debbugs.gnu.org; Sat, 30 Jun 2018 04:34:06 -0400
Received: from [192.168.1.101] ([212.95.5.200]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LkSOt-1g9u7p26dH-00cPW4; Sat, 30
 Jun 2018 10:33:58 +0200
Message-ID: <5B374075.50300@HIDDEN>
Date: Sat, 30 Jun 2018 10:33:57 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
References: <877emm1trq.fsf@HIDDEN>
 <87fu18pmo7.fsf@HIDDEN>	<CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>	<5B349617.3010102@HIDDEN>
 <878t6zaq66.fsf@HIDDEN>	<5B35F0ED.3070409@HIDDEN>
 <874lhmasho.fsf@HIDDEN>
In-Reply-To: <874lhmasho.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:bJ+siVvxHIYZiC138y7SQRMZJYveWn9Ey2KQPXqT3rfIisAZg4I
 TSyhgdQX1P2FOPKDuwcuivzj592XDsOuyZN4dgDS29/6qR/QO3zatKvs7qCSjo6pmZB14pT
 /Qu5VksZqKuIVvB6yBi8bUQiKljsOfUnQ4qFpu6KsCRiWBWWqbDAkp3jjkfDyjk+6ivtSh8
 a0I/PWIMMqnaezS4xUjVQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:SCdXdVe30ZU=:i8q7ESxcJySKJVCVMvDJN7
 hxTaiV7AD4OrHYrh42QsumI7VLMWpQhNJDn5jdpL7cJdm6T218USrZVz9EX+nD/LUOhhJ3zzp
 meRYNWhOlCN6zL+Y1oXoWIVLU72flbYZTngrGv5dpTFMRHmq2QJGhEPlSsG2JqyVr19Lx0zW8
 J6YA/NsPd9BbJQx6bV/8eKetvd5Tpmhj/qGY/t713IQWxGLt6qxuXFFokwsW9ggbhZDPLHcHq
 yrWmrQUEYexGQ3ih2e/ryOuk1mXI4wxw1bdWfKC2rzyF5wRtXXws44ZW2DQu6niZIMUykB8rs
 Xevy9hxL4FCqlTJ38b/Cc/0mS7Q96csGr+M/VE7AHgQh/fhEFfJMSmtUDMo0gXI6TGlwl8LGh
 8Kw5z0O3Pm+gCHjzH9WUzpSkJTuJ6+yKuyghWP5aT+fmV2CjFcdnPKpHEj9yZ9ZfvDlQgt9gl
 3Jtg4QyTmWTsazNyA+CT5fVM2tXKLw4WAvtR8lwVIsZAFCDoex/iPW9tyN4vv228U1WLbDRAq
 s+EB+5Os9/Seakj1xCf111Uotm/KWv+hOwZF0fRtsC8F+p7x+iDABDAmeSspuTLXFF5t0aVLb
 gHZZY9SDaxn1r9Vw9yZZlIjYEH4pR48houeDhRGwH5tVA77TK+jSzBUudg5QFExQRp6t1Gcix
 PKl5jIsrYYjc1xLplGgCGCcQPTJYEW2MH9NOZL9UUt+CFumRt9tNDHdgMormNzn2h019vYYio
 nNZOE819NVQDx8q/vchgkEGngh3spJRTtQibZy1VvcciJkdY3yYTt4qPEopxaoVfcTtb7CfTW
 adoIK5W
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, Carlos Pita <carlosjosepita@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > That would be a somewhat bigger patch. I=CA=BCm assuming we=CA=BCd nee=
d to
 > adjust nsgui and w32gui frame parameter definitions as well.

For non-GTK builds we'd have to proceed as follows:

(1) When we do the maximization ourselves, remove the decorations
     first and then maximize.

(2) When we get a maximize event, remove the decorations.

(3) For any event or action that removes the maximized state, re-add
     the decorations provided the frame should not stay undecorated via
     a frame parameter.

So this would require some quite substantial coding effort and should
definitely wait until someone confirms that your GTK patch works.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 29 Jun 2018 08:48:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 29 04:48:12 2018
Received: from localhost ([127.0.0.1]:39229 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fYp4d-0001ZJ-Qv
	for submit <at> debbugs.gnu.org; Fri, 29 Jun 2018 04:48:12 -0400
Received: from mail-wm0-f54.google.com ([74.125.82.54]:39858)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fYp4c-0001Z6-SC
 for 31968 <at> debbugs.gnu.org; Fri, 29 Jun 2018 04:48:11 -0400
Received: by mail-wm0-f54.google.com with SMTP id p11-v6so1184028wmc.4
 for <31968 <at> debbugs.gnu.org>; Fri, 29 Jun 2018 01:48:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=KoZykqNhsu7CsgCvPJCzsyYIV589rlf3acaJ6Fg4SCc=;
 b=ENz4K/EEOMexFwOJwKMomQGGF00jPoc7TZr1LzsiuM+Cx3BLlUvJGCiDE9t4BaoH4a
 OWLN7iO/XSD3AJaZGaHqUtpi9pXqmiKFrSzRd6SZFUmKQYRZpAn3kOxL8xFDQ23L3nyP
 pT20xSU/xMQKSWa8yXjCMp6PAX5+71maerDBloMqOBMXLv/YsEAX9PxHr2ToSnBCYgmc
 8hydRSQsGk2pdUuDDyC+TlPmKg5B6m16J8cKm9wur1/pwIFqXyjfNq11comtGD52zUAL
 3F0rP8AFsT0+mumHwgv9bZ3RXZ0878sjwVm7FTEwOOjLpttsjKPCuDrwmGHBrYGqwIVx
 IleQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=KoZykqNhsu7CsgCvPJCzsyYIV589rlf3acaJ6Fg4SCc=;
 b=Qwpwc7fV29RsrGkd6qLonVyuwdYS/0+m+hrZrdWa5YSEIPMcxXP4KwE84sdn3xEdRE
 kzHp5AnFe/wX8PZJFfrdQIMSVdiY2qe7tW6RY5qqoC6yu8s2vVFvqthIKc2hJd5wOK9m
 URLhOI5Wbsf4HHTDU5ErDQuRlM1cXDkoknb3+oGc3//EcsouZY1nZkJF90XdpYOAnc6M
 WA3NRlFTyoEWPxN0amBTYPM8Zl8NeNFCui76QSKuNAw8QLx+aEDTh4bZ5nwoCW66lmG2
 rTQPy3N9cV3OEGtYenO9RpIJXVt135EeEmQqkYcva7le0zxk6OjMqNANu11Tnr5U1SfO
 LK8g==
X-Gm-Message-State: APt69E1vBOCR5HdAswkRiPvnSZ/X7XCkv0kaMZZmIf128ysQXOVwbrjJ
 bs9Kvvu7C+CHK35g3ocWEyM=
X-Google-Smtp-Source: AAOMgpclVBghR0+8U8cdGMIZj1K5gYuraTPHuLi3PJ6M9426MVxGPaS7ke1ULwvBvYv48rzTVo0k1Q==
X-Received: by 2002:a1c:8e4e:: with SMTP id
 q75-v6mr1134597wmd.137.1530262085015; 
 Fri, 29 Jun 2018 01:48:05 -0700 (PDT)
Received: from rpluim-ubuntu (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id m10-v6sm8232714wrj.35.2018.06.29.01.48.03
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 29 Jun 2018 01:48:04 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN> <878t6zaq66.fsf@HIDDEN>
 <5B35F0ED.3070409@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Fri, 29 Jun 2018 10:48:03 +0200
In-Reply-To: <5B35F0ED.3070409@HIDDEN> (martin rudalics's message of "Fri, 29
 Jun 2018 10:42:21 +0200")
Message-ID: <874lhmasho.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, Carlos Pita <carlosjosepita@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

martin rudalics <rudalics@HIDDEN> writes:

>> Patch attached. It sets the correct property on my emacs frame for me,
>> but it appears KWin ignores that, so I see no effect. No doubt needs a
>> few more USE_GTK ifdef checks.
>
> Carlos, can you test the patch?  If it works, we can brush it up a
> little to make it a frame parameter just like 'undecorated'.

That would be a somewhat bigger patch. I=CA=BCm assuming we=CA=BCd need to
adjust nsgui and w32gui frame parameter definitions as well.

>>> 'gdk_x11_window_set_hide_title_bar_when_maximized' in gdkwindow-x11.c
>>> has the XChangeProperty calls to make this work for non-GTK builds.
>>
>> You=CA=BCre suggesting we copy their code? I=CA=BCm not sure what the va=
lue of
>> setting a GTK property is in a non-GTK build.
>
> FWIW I did that for x_set_undecorated when implementing that awful
> PROP_MOTIF_WM_HINTS_ELEMENTS hack.

I don=CA=BCt know what that is, and I don=CA=BCt think I want to know.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 29 Jun 2018 08:42:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 29 04:42:30 2018
Received: from localhost ([127.0.0.1]:39215 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fYoz8-0007q9-Lj
	for submit <at> debbugs.gnu.org; Fri, 29 Jun 2018 04:42:30 -0400
Received: from mout.gmx.net ([212.227.17.21]:40625)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1fYoz6-0007pw-Sh
 for 31968 <at> debbugs.gnu.org; Fri, 29 Jun 2018 04:42:29 -0400
Received: from [192.168.1.101] ([213.162.73.36]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MIdYi-1fb1uA0XdI-002I4f; Fri, 29
 Jun 2018 10:42:22 +0200
Message-ID: <5B35F0ED.3070409@HIDDEN>
Date: Fri, 29 Jun 2018 10:42:21 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
References: <877emm1trq.fsf@HIDDEN>
 <87fu18pmo7.fsf@HIDDEN>	<CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>	<5B349617.3010102@HIDDEN>
 <878t6zaq66.fsf@HIDDEN>
In-Reply-To: <878t6zaq66.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:XAWT/LXuIEtIeALmjCmha1qYrUVDEGOhRQdAxC/wSISIZafHVk4
 iFUgutk4B55lyn0VugDeu7fsiOTqx9VvGCYWI7hBxFD76dRR57Mr9OJ/nq9wntOIpe4BSTj
 iJhYWkRwA1lPiMCxk+7j+aE2DB9/otoKg2SYMvJeMV7sxoIKTWIc8sscyepBTrCmzFTo2/l
 jMXZR7Xuw0/gC6rY/ZDBg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:hqpl14OyR7k=:Kur6KIsOYAY44v/8SHI5S5
 wJZZxAqX1WjEBfZKkv23BrQ+TXThfZdJMRakWze9E/+RsGkA3MKIV49FxrgnwwX3vFz0Ef8Hv
 PR8RINg8BWbGKfSwHeCWP5O4jS2jWtztQgK62H8zDOEsdugW22KUMBw87Xc9Menh1g/R8v05b
 Td0qT+54o4GPxTBEChdqe3hHvCrkfTwW+zMskg2/aCajNtfXTzarK6AUopkzKwVLxtYCfCXZM
 seemj5eMHxrRr+tlDGv3KmnqvLiaQuHHTpESMKQpkD+CbwK3Qi0bY+Ccwlw53M/BMhxlJ8/+H
 aRi8mzHt06VquT96X/yHI/QYASECMAJNuvyGdk7Oz+zAKat0D7FGz7ubTpBs1qJTESenmW89X
 KB4+KKt0ZFsHjmW1ITuP0wcU/bdD28UXPE+eWpNsi5tCCm1+c0U7cPNG3QK/81pk3XeRjVhRr
 fMG5w4nBoQVJXEy4yRNXr4oy3J1yv1f7ZmYU9XBoVVQqWB88hIpCaZ0HlabKVxBJwz3G6lInN
 jUg4971YIbXTTRIytoCczEnGN/MBpv+62iM/ccKmytdkDtEDIwpuzXjOpuYSwUlitR7U2i75w
 YA7lfhJKbG/ehibALP/P0pZtjSuvHlGKq+JvP3WZiCcmFwnBW1jLPg/bqdsFFxosR0WYtIXUv
 qwD8GUaQ4PZTN9iYRfvnuaxrFzyKpEhFms4OwwhmCX6cD3hz9c6Ar09zeuNJYVINnhfeFlLaj
 akJrufr6PayuE/rvtf8KNUFg0YjuFSsGZTuwesptf6SvMwHKrW0p6z4iNe206F7va/kwAVgLF
 29Nfz0F
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, Carlos Pita <carlosjosepita@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Patch attached. It sets the correct property on my emacs frame for me,=

 > but it appears KWin ignores that, so I see no effect. No doubt needs a=

 > few more USE_GTK ifdef checks.

Carlos, can you test the patch?  If it works, we can brush it up a
little to make it a frame parameter just like 'undecorated'.

 >> 'gdk_x11_window_set_hide_title_bar_when_maximized' in gdkwindow-x11.c=

 >> has the XChangeProperty calls to make this work for non-GTK builds.
 >
 > You=CA=BCre suggesting we copy their code? I=CA=BCm not sure what the =
value of
 > setting a GTK property is in a non-GTK build.

FWIW I did that for x_set_undecorated when implementing that awful
PROP_MOTIF_WM_HINTS_ELEMENTS hack.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 28 Jun 2018 15:26:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 28 11:26:04 2018
Received: from localhost ([127.0.0.1]:38749 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fYYo7-00032D-Um
	for submit <at> debbugs.gnu.org; Thu, 28 Jun 2018 11:26:04 -0400
Received: from mail-wr0-f182.google.com ([209.85.128.182]:40222)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fYYo5-00031h-3V
 for 31968 <at> debbugs.gnu.org; Thu, 28 Jun 2018 11:26:01 -0400
Received: by mail-wr0-f182.google.com with SMTP id l2-v6so5360430wro.7
 for <31968 <at> debbugs.gnu.org>; Thu, 28 Jun 2018 08:26:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=nvWcP8+iFBVr/oveylqUf5YQ/dW/9ZqqQoOpWsFasVI=;
 b=ZTxi7T0d/kZC8R4x8J9Xg+DLYwEvbv97xxK7dj54pY1+WVLYCmPK/bV098YckKjAz/
 EKhT2wG8IWWw8YZ7OqV71zII3YGZlEcvmX/6LyOj4LJqeuQTQjryUTXbkD00d4GNcYco
 Xwd88mUgm9M2gIVh+uHRvbhWks3hxQHs4HnrrRxbS6tqU1ZoL+4hW3SYUSznFst4CxLY
 ElW7aDMrwDe+xuExGr2AAVvmg6+O5tNd67zq4L5mmqv431CORjSEQ0cDrViR+TQiQaG1
 oxdr7CYrZcLmE1MCkWclrDIcwlwcnoMi9HWmSJo1xfC4nGQsyhyLFemUfERGBaFllrFO
 31Gw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=nvWcP8+iFBVr/oveylqUf5YQ/dW/9ZqqQoOpWsFasVI=;
 b=dxHNcbS3uVpzLc1aEP9E/vyeNq+kwfJujRJ//NtLkAh0Zwc7+Vc/BU6VD6WRMjAewU
 yt6XKxKTgHpGwBSe0wVJy6sAZdfJ+DKGzq1l8cVMVNr7aypBlW6F1AjtG33tycH1gmPP
 XfGOIKVdGI1X1yH4TQn5Angi+BiCMP6qFeWuzvYoi9QXAZ481WM0oQZNfVgGOIyTBS+8
 iAouZDBVAFTZV3zF80+MaXF4sI3fhNTaJEDTFEPF+mtRyCcJ9DTYKZnnhXOyYHH9GGXA
 UHGRGEqJJ/NHdO1X5syQ5bK60D2J6Q73Gev49pUdvMHONmIHeGvWKHkVUl+stC5ph+QW
 X2+A==
X-Gm-Message-State: APt69E0DXT8AcDxyP43bvmuJRRjs2W3QtqwZywQdo0uiLcG6+5O87qpA
 KUJ6yS4d2dFbxKEP324FZAWp62K7
X-Google-Smtp-Source: AAOMgpeZTLc1XXsJ9aiQcPMRTsyvpNoEkMoYvJzXG0Oy4iMq2G0vWtIX129EePveOpe7a5YKc1g/+Q==
X-Received: by 2002:a5d:470b:: with SMTP id
 y11-v6mr9102954wrq.107.1530199554776; 
 Thu, 28 Jun 2018 08:25:54 -0700 (PDT)
Received: from rpluim-ubuntu (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id j20-v6sm5318181wme.28.2018.06.28.08.25.53
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 28 Jun 2018 08:25:53 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <5B349617.3010102@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Thu, 28 Jun 2018 17:25:53 +0200
In-Reply-To: <5B349617.3010102@HIDDEN> (martin rudalics's message of "Thu, 28
 Jun 2018 10:02:31 +0200")
Message-ID: <878t6zaq66.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, Carlos Pita <carlosjosepita@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

martin rudalics <rudalics@HIDDEN> writes:

>> One simple possibility is to set/unset
>> the _GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED property. I think there is also a
>> corresponding gtk api for that but maybe the property could be set using
>> standard X machinery already exposed to elisp(?). Probably all this would
>> be ineffective under waylan but it's simply enough to fix the problem fo=
r X
>> with low effort.
>
> Could someone try to add a 'xg_set_hide_titlebar_when_maximized'
> function to gtkutil.c.  That would be just like 'xg_set_undecorated'
> but call 'gtk_window_set_hide_titlebar_when_maximized' instead of
> 'gtk_window_set_decorated'.  The Lisp interface for the moment could
> be a simple 'x-set-hide-titlebar-when-maximized' function with a FRAME
> and HIDE argument defined in xfns.c for GTK only that calls
> 'xg_set_hide_titlebar_when_maximized' with a frame structure
> corresponding to the frame argument.
>

Patch attached. It sets the correct property on my emacs frame for me,
but it appears KWin ignores that, so I see no effect. No doubt needs a
few more USE_GTK ifdef checks.

> 'gdk_x11_window_set_hide_title_bar_when_maximized' in gdkwindow-x11.c
> has the XChangeProperty calls to make this work for non-GTK builds.

You=CA=BCre suggesting we copy their code? I=CA=BCm not sure what the value=
 of
setting a GTK property is in a non-GTK build.

Robert

diff --git i/src/gtkutil.c w/src/gtkutil.c
index 69325ff00a..6cd502f430 100644
--- i/src/gtkutil.c
+++ w/src/gtkutil.c
@@ -1538,6 +1538,21 @@ xg_set_undecorated (struct frame *f, Lisp_Object und=
ecorated)
     }
 }
=20
+/* Set a property on the frame that requests the window manager to
+   hide the titlebar when it is maximized.  Does not seem to work with
+   KWin.  */
+void
+xg_set_hide_titlebar_when_maximized (struct frame *f, Lisp_Object hide)
+{
+  if (FRAME_GTK_WIDGET (f))
+    {
+      block_input ();
+      gtk_window_set_hide_titlebar_when_maximized
+        (GTK_WINDOW (FRAME_GTK_OUTER_WIDGET (f)),
+         NILP (hide) ? FALSE : TRUE);
+      unblock_input ();
+    }
+}
=20
 /* Restack F1 below F2, above if ABOVE_FLAG is true.  This might not
    work with all window managers.  */
diff --git i/src/gtkutil.h w/src/gtkutil.h
index 7dcd549f5c..942238cff5 100644
--- i/src/gtkutil.h
+++ w/src/gtkutil.h
@@ -173,6 +173,7 @@ extern void xg_set_frame_icon (struct frame *f,
                                Pixmap icon_mask);
=20
 extern void xg_set_undecorated (struct frame *f, Lisp_Object undecorated);
+extern void xg_set_hide_titlebar_when_maximized (struct frame *f, Lisp_Obj=
ect hide);
 extern void xg_frame_restack (struct frame *f1, struct frame *f2, bool abo=
ve);
 extern void xg_set_skip_taskbar (struct frame *f, Lisp_Object skip_taskbar=
);
 extern void xg_set_no_focus_on_map (struct frame *f, Lisp_Object no_focus_=
on_map);
diff --git i/src/xfns.c w/src/xfns.c
index fe8170cf63..fccf8f471a 100644
--- i/src/xfns.c
+++ w/src/xfns.c
@@ -7600,6 +7600,28 @@ visible.  */)
 #endif	/* USE_GTK */
 #endif	/* USE_CAIRO */
=20
+DEFUN ("x-set-hide-titlebar-when-maximized", Fx_set_hide_titlebar_when_max=
imized,
+       Sx_set_hide_titlebar_when_maximized,
+       2, 2, 0,
+       doc:
+       /*  Set titlebar hiding behavior when FRAME becomes maximized.
+If FRAME is nil it defaults to the currently selected frame.  If HIDE
+is non-nil, FRAME's window-system window is requested to be drawn
+without a titlebar when it becomes maximized.  If HIDE is nil,
+drawing with a titlebar is requested.
+
+Only works in build using GTK
+Some window managers may not honor this parameter.*/)
+     (Lisp_Object frame, Lisp_Object hide)
+{
+#ifdef USE_GTK
+  struct frame *f =3D decode_window_system_frame (frame);
+
+  xg_set_hide_titlebar_when_maximized (f, hide);
+#endif
+  return Qnil;
+}
+
 
 /***********************************************************************
 			    Initialization
@@ -7958,4 +7980,5 @@ When using Gtk+ tooltips, the tooltip face is not use=
d.  */);
   defsubr (&Sx_print_frames_dialog);
 #endif
 #endif
+  defsubr(&Sx_set_hide_titlebar_when_maximized);
 }




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 28 Jun 2018 12:23:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 28 08:23:51 2018
Received: from localhost ([127.0.0.1]:38270 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fYVxn-0006NF-33
	for submit <at> debbugs.gnu.org; Thu, 28 Jun 2018 08:23:51 -0400
Received: from mail-wm0-f41.google.com ([74.125.82.41]:55714)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fYVxl-0006N0-Jl
 for 31968 <at> debbugs.gnu.org; Thu, 28 Jun 2018 08:23:49 -0400
Received: by mail-wm0-f41.google.com with SMTP id v16-v6so9484875wmv.5
 for <31968 <at> debbugs.gnu.org>; Thu, 28 Jun 2018 05:23:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=jWJAT5hMW/A7ySYuYhffG6gkp31HE7AApd84berbJAI=;
 b=mHU3iR1veiT8KmPjGnfnbOfX7uvPNDTgaOh+AhkPsH8m9raGnMoCueLksMRtq31IoQ
 us8wOl/gAMV0T47RbF4nYG+2vHE5CDIHBi/uyZiKoe/0xPZg+n3ejUrudfT38oOJKP48
 s77saFvJq55DDHu08AB6sNXCcw31xPJoAxkTb6VOEWywkxNgz6hSMNxvL15ltoeuNyQr
 tgqBfcZXDeY4BGfh3cLkQIDMU3QFZvyc6HnOFB7vsKESt71ZTPeBtHYwvjhnZ1nmCtZW
 6ptOLeP7SLdLeqQBU+ITae7ibTcWk+yDvcwP8UnIjlUyRaMJF54Ml8Qbv6unZLldE4sg
 PRtw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=jWJAT5hMW/A7ySYuYhffG6gkp31HE7AApd84berbJAI=;
 b=Vd/gRRzos5/1yiqi7xJntiRv3fsVhf2zS+1lhcCp/p+UZGM9SxBB6UPZPhGiHjGMF/
 qUkzg+70GrBUIt6eH3t1nddgfUQj02mXNO/MIjAnvzwjkX/wB1OuOpYzo5pSTvEqWJvW
 fDOLI3kXq4zSggIJdriPsXZEuMH0TokXFSSVe7y/BUCaLHmEhSYaFP97/YMJ8zSPNAaK
 D/jnpvyJGw7YYAse+3b8eHTZF6p3d7q8ZAwgTjjWF3szxid6O/3txvYuLav3qczPPvuB
 4BJDTwMgQmtRSpgvuj8T1Ajx0GuyIjANePIKVDRLqn4YJ6Gsv+0KnzdFc4Ed4uWvWCTD
 X+3w==
X-Gm-Message-State: APt69E34kujl1Spt9qxn/eR0Hk32vs/F1KHFAah9Tqm3K+CrDDnTU3kB
 3CvwJu7g3Bil73obwdSsdBfrhKDB
X-Google-Smtp-Source: AAOMgpeVUldW+SGC7WreYg4IXTN742sxx3Cn97tw+Pj9wZ7MnD8XzOpM9GuY4WwToxvGaN1y7WAT6w==
X-Received: by 2002:a1c:f308:: with SMTP id q8-v6mr7766340wmq.6.1530188623511; 
 Thu, 28 Jun 2018 05:23:43 -0700 (PDT)
Received: from rpluim-ubuntu (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id s79-v6sm1733461wma.37.2018.06.28.05.23.42
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 28 Jun 2018 05:23:42 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <87bmbwpdir.fsf@HIDDEN>
 <CAELgYhepm0aS=i2GT3BfmQQS3OQ7PL92K12MQxPKVkb4PUpE7w@HIDDEN>
 <CAAnK0TYcT=Sg02kUr4epHTx2ppp+tJnvF66iDZyV-=+TFxBpBA@HIDDEN>
 <5B349610.9030708@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Thu, 28 Jun 2018 14:23:41 +0200
In-Reply-To: <5B349610.9030708@HIDDEN> (martin rudalics's message of "Thu, 28
 Jun 2018 10:02:24 +0200")
Message-ID: <87zhzff6b6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, carlosjosepita@HIDDEN,
 Jonathan Kyle Mitchell <kyle@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

martin rudalics <rudalics@HIDDEN> writes:

>>> Yes, but the point is to hook something like that on
>>> maximized/unmaximized events, which I don't see how to do.
>>
>> Since maximizing a frame changes the window size, couldn't you hook
>> into window-size-change-functions to achieve the desired effect?
>> Something like this perhaps:
>>
>> (defun hide-titlebar-when-maximized (frame)
>>    (if (eq 'maximized (alist-get 'fullscreen (frame-parameters frame)))
>>        (set-frame-parameter frame 'undecorated t)
>>      (set-frame-parameter frame 'undecorated nil)))
>>
>> (add-hook 'window-size-change-functions 'hide-titlebar-when-maximized)
>
> Wouldn't that show the title bar when making the frame fullscreen via
> F11?

It doesn=CA=BCt for me. Note you can use 'move-frame-functions' instead of
window-size-change-functions if you prefer.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 28 Jun 2018 08:02:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 28 04:02:50 2018
Received: from localhost ([127.0.0.1]:38132 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fYRtB-0006Gz-Na
	for submit <at> debbugs.gnu.org; Thu, 28 Jun 2018 04:02:49 -0400
Received: from mout.gmx.net ([212.227.17.20]:50355)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1fYRt9-0006GX-BN
 for 31968 <at> debbugs.gnu.org; Thu, 28 Jun 2018 04:02:47 -0400
Received: from [192.168.1.101] ([212.95.5.19]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MBJF3-1fOr6C140T-00ADrR; Thu, 28
 Jun 2018 10:02:41 +0200
Message-ID: <5B349617.3010102@HIDDEN>
Date: Thu, 28 Jun 2018 10:02:31 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Carlos Pita <carlosjosepita@HIDDEN>, 
 Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
In-Reply-To: <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:MicaIUKMNa3hLdb8ugEfzbuL5tw/YuHiiGUW1iyoTKsrmNehnKq
 AaufZ6/V5oEX4TWG91acn0qZQHSY6BEXs3a7gjNn8p84ZQlSHhE+IMV2qtYuQVKSNV8sKJK
 RBBoQuCv+tAfMJxGgfh4aBqbLOTz0ZieWUsMpeJMZddFqfHGfBykJfq/K9wnqJ5is0gy5FU
 2MP5nqp+5ES00ImTnrZPQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:bssLdKwyCmA=:zWbqDw9/XihdPC0m7OkeYn
 vqzBXjqXmwkRdtuitJcNrkSEZlIbLDjub5oGvyCxCpHMsrrJHHr9MqDU8JjbipRsbEvrhCVoa
 sR48XKqv8KTt3OBrOTTrJJtB4atywH7XdD7rZkc7RnauXMsPpJuOdL2lB4VTrGeu1f49Vlh6c
 aio6kh/IB23+hOVvbMU6NYAt9Fb7DNiKA+PGVXfuooa95tTreQBY8hJGeK0PW3MXg27jZ8Ems
 uR1KEXNs7ZSeO/TkzE56qcHBJv9r2quvSvINLFYXz8zPLUgxjTt80ymmmQ+uzdSfdGZKdsbwX
 wj//D0Tf4h6Y6JcSBKfE0tkcpbYp3yg9Rcj6JlR09jgvoBYfzYmWwgqsMRjbe1tH5XFWYTR/0
 BA680gjHnRERa+PXREWbxF9n2U3dSXlL2MlbIYf/H7ZrDejEga697N4lCzGg9jcO8F3fLif84
 g7LxOH+rnvInENKSK3I8UImNHk9tVtPf/NK0zKKwbzSWhanu8iwQL8t0e1EedPS2dRALFTpmg
 g9sp3rfGFqvypj/PX2s4iAsJtXmlVuFoBY1/oqkS8QuyDFHAsgfCILEsgXJ9NQRMhFzYVtkf5
 UUEGfp8E/c/Q+Hg0LmV4yXuxRQHsMRZteVDDOTZ+s+y54C2FSegFSsXJZBlMjsa7lxnnsz0yX
 N/kjPGbRcxLMhzd7kV8q/PDMA2Uc2TcZKiiqhQYs0+zjh8I6RDdqtllCZ5h4tp23un+16tJxI
 315nqTcWqKAgBdiOsp0lp5wAOkh/7JO6/5SVvGRqiCao10lQTVDxjfXoJpmzkdankhGVtr8fG
 YcWPAg1
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > One simple possibility is to set/unset
 > the _GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED property. I think there is also a
 > corresponding gtk api for that but maybe the property could be set using
 > standard X machinery already exposed to elisp(?). Probably all this would
 > be ineffective under waylan but it's simply enough to fix the problem for X
 > with low effort.

Could someone try to add a 'xg_set_hide_titlebar_when_maximized'
function to gtkutil.c.  That would be just like 'xg_set_undecorated'
but call 'gtk_window_set_hide_titlebar_when_maximized' instead of
'gtk_window_set_decorated'.  The Lisp interface for the moment could
be a simple 'x-set-hide-titlebar-when-maximized' function with a FRAME
and HIDE argument defined in xfns.c for GTK only that calls
'xg_set_hide_titlebar_when_maximized' with a frame structure
corresponding to the frame argument.

'gdk_x11_window_set_hide_title_bar_when_maximized' in gdkwindow-x11.c
has the XChangeProperty calls to make this work for non-GTK builds.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 28 Jun 2018 08:02:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 28 04:02:48 2018
Received: from localhost ([127.0.0.1]:38130 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fYRtA-0006Gr-Az
	for submit <at> debbugs.gnu.org; Thu, 28 Jun 2018 04:02:48 -0400
Received: from mout.gmx.net ([212.227.17.20]:43915)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1fYRt8-0006GV-0h
 for 31968 <at> debbugs.gnu.org; Thu, 28 Jun 2018 04:02:46 -0400
Received: from [192.168.1.101] ([212.95.5.19]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0M1nOg-1gRvx1096o-00thnx; Thu, 28
 Jun 2018 10:02:37 +0200
Message-ID: <5B349610.9030708@HIDDEN>
Date: Thu, 28 Jun 2018 10:02:24 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Jonathan Kyle Mitchell <kyle@HIDDEN>, 
 carlosjosepita@HIDDEN
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
References: <877emm1trq.fsf@HIDDEN>
 <87fu18pmo7.fsf@HIDDEN>	<CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>	<87bmbwpdir.fsf@HIDDEN>	<CAELgYhepm0aS=i2GT3BfmQQS3OQ7PL92K12MQxPKVkb4PUpE7w@HIDDEN>
 <CAAnK0TYcT=Sg02kUr4epHTx2ppp+tJnvF66iDZyV-=+TFxBpBA@HIDDEN>
In-Reply-To: <CAAnK0TYcT=Sg02kUr4epHTx2ppp+tJnvF66iDZyV-=+TFxBpBA@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:VJPqMGXPqK+ZT3Ru0By1/hYFKkaNhoNz7XJ2OJfPX7AhB6+k4aK
 kz9ef6Bjll7Yqrx43rlKelG6X5FvrrPTkONsX7EB4p9y9gFNngdSRQsYNpS/m0GhHAbQUzY
 dX7CNscec84YUla65NKbPPnG23DV0PWxRHZNEccz03YAXpVpZsVMUwN2rDpyn4hYn+8DYm9
 Uf2GdYRSfAPM5v6GZ7WXA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:+der+8yTL1o=:FpS/Cs1GcUH1vY//x4NfSw
 grCtxbQL6/+O4krgrtFXhgqqz3U1IdtwRaUzgyZXvKKPaRnIORJUES4IWNJ93ibf8jLO7Dr3n
 C7kD3ISYtb5nrT7MnJdQqgkfcEAqnB8zgFbsa1wpyLk1oRlK1NV1rUK1yGb6R+2wKqd5Iaz6q
 zN14y4s/cdB/hg/d7J5NhWT8UFMVriRc+Jm37BK/ncSTsDDopNtSIjjDp80ZR+Z0Hh6/Jndbe
 7Albuh6+wtrbmTQslDvCpZA4WJPa0yom7LiZoJovMfWKiLVSl5VLPPRpvnSgjZa2VzhZMC8Ef
 iLdsJi7cAwO8BzbzoGe/jSM10Zx1da6kTGwDiRqUJO5TTRRxjsngoHJHT33rOng2MOgU00q/u
 C1V4drJdwVj7XqLFVDsVHuRbMHbuCq1pbRXaYUHcJsnWLSuzI/giy7yvE3qcHO6lLYTpIkN0r
 rMDsuiiXJZ2QlgHnqjjBEJEtPB+zCl/F6n8o1q1Ab+RKi5I540cRNQev8ndrVgZUt3XYgUz5p
 omG8+2evmguPqn2piGZ+Ttc0BnTYm2wv9Ze8YQxUHRxAhm9AlUI1PLiADgxWv9/tf1UEF0Qbo
 1fSqjP2IR13CFtr6NmAr1SczEGnLhmht6Gi/cfLDgbCo/VM9zpEdU6k+R9G4LOdck2alS1ua9
 XF1mpKCNfgtG7BisvfXkw4MP6ONqs6z3um69mlR8u9p8qtarLhPIk2f+BrBE1V/sVVRxa4LOg
 hAYcn76EhfG35DehWnT+5rNd0UJYXBryZkQheSvpqbtxrLIyjoHE5EC4bVKhnsEIRdcwViUXY
 dHga/JD
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, rpluim@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >> Yes, but the point is to hook something like that on
 >> maximized/unmaximized events, which I don't see how to do.
 >
 > Since maximizing a frame changes the window size, couldn't you hook
 > into window-size-change-functions to achieve the desired effect?
 > Something like this perhaps:
 >
 > (defun hide-titlebar-when-maximized (frame)
 >    (if (eq 'maximized (alist-get 'fullscreen (frame-parameters frame)))
 >        (set-frame-parameter frame 'undecorated t)
 >      (set-frame-parameter frame 'undecorated nil)))
 >
 > (add-hook 'window-size-change-functions 'hide-titlebar-when-maximized)

Wouldn't that show the title bar when making the frame fullscreen via
F11?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 28 Jun 2018 04:22:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 28 00:22:44 2018
Received: from localhost ([127.0.0.1]:38063 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fYOSC-0000no-5P
	for submit <at> debbugs.gnu.org; Thu, 28 Jun 2018 00:22:44 -0400
Received: from mail-ed1-f43.google.com ([209.85.208.43]:33632)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mitchell.jkyle@HIDDEN>) id 1fYOSA-0000nb-DX
 for 31968 <at> debbugs.gnu.org; Thu, 28 Jun 2018 00:22:42 -0400
Received: by mail-ed1-f43.google.com with SMTP id l23-v6so4311025edq.0
 for <31968 <at> debbugs.gnu.org>; Wed, 27 Jun 2018 21:22:42 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=PdCvEbX79n3eB2r8ATw5KF7RyOMnct17WMoh0NDEGgw=;
 b=c6BOHSbzq0tUUKvpJ2LgKL0T40x7d0E3HmNi/ToSwSeCK+6D5vmyO9vuH9RU7rw0mZ
 91wRWjKKkoqpPX2KGIG5NgZPx4h2CLw6s6aEvY7pkIHsFsel1ViNs4uDWChaw8CiDo10
 uyhy34gR048JIE61F6r3y67FjzF1/vg8gF2EP0IvTqak4cgcb+cPbffORnF4QT2n79mf
 BFxb7aZRZgH8PzYcCur/TQMYAAfCaV0cJNh48KYIeDPwlXjgkhhjnKB6nTrd5Pi+CO65
 fySG2EFw5YFLiZewF+N2d700gjCmuLOPHoym9s6mSG+FiOnvEhgGqv8y55tIaQZOhLr4
 2CpA==
X-Gm-Message-State: APt69E2QTyJm4MApA5hhZxl5tABVMjtiXNVFqEwITaTVYlN+kjwNS86e
 ujDYPsuAEQrXp2Z7wPtUbgqgdIgDuOw=
X-Google-Smtp-Source: AAOMgpdeqcw1vtLQxkzvQ3o6xq8K8EpvzlXlSf3knXAq8IGVshL1epcG/D0osgXjtckgsQkxh8nz5w==
X-Received: by 2002:a50:ae62:: with SMTP id
 c89-v6mr7759445edd.257.1530159756319; 
 Wed, 27 Jun 2018 21:22:36 -0700 (PDT)
Received: from mail-wr0-f178.google.com (mail-wr0-f178.google.com.
 [209.85.128.178])
 by smtp.gmail.com with ESMTPSA id b20-v6sm2013143edr.26.2018.06.27.21.22.35
 for <31968 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 27 Jun 2018 21:22:36 -0700 (PDT)
Received: by mail-wr0-f178.google.com with SMTP id a12-v6so4000465wro.1
 for <31968 <at> debbugs.gnu.org>; Wed, 27 Jun 2018 21:22:35 -0700 (PDT)
X-Received: by 2002:adf:9246:: with SMTP id
 64-v6mr7381181wrj.109.1530159755281; 
 Wed, 27 Jun 2018 21:22:35 -0700 (PDT)
MIME-Version: 1.0
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <87bmbwpdir.fsf@HIDDEN>
 <CAELgYhepm0aS=i2GT3BfmQQS3OQ7PL92K12MQxPKVkb4PUpE7w@HIDDEN>
In-Reply-To: <CAELgYhepm0aS=i2GT3BfmQQS3OQ7PL92K12MQxPKVkb4PUpE7w@HIDDEN>
From: Jonathan Kyle Mitchell <kyle@HIDDEN>
Date: Wed, 27 Jun 2018 23:22:23 -0500
X-Gmail-Original-Message-ID: <CAAnK0TYcT=Sg02kUr4epHTx2ppp+tJnvF66iDZyV-=+TFxBpBA@HIDDEN>
Message-ID: <CAAnK0TYcT=Sg02kUr4epHTx2ppp+tJnvF66iDZyV-=+TFxBpBA@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
To: carlosjosepita@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org, rpluim@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On Wed, Jun 27, 2018 at 10:21 AM Carlos Pita <carlosjosepita@HIDDEN> wrote:
>
> Yes, but the point is to hook something like that on
> maximized/unmaximized events, which I don't see how to do.

Since maximizing a frame changes the window size, couldn't you hook
into window-size-change-functions to achieve the desired effect?
Something like this perhaps:

(defun hide-titlebar-when-maximized (frame)
  (if (eq 'maximized (alist-get 'fullscreen (frame-parameters frame)))
      (set-frame-parameter frame 'undecorated t)
    (set-frame-parameter frame 'undecorated nil)))

(add-hook 'window-size-change-functions 'hide-titlebar-when-maximized)

--
Jonathan Kyle Mitchell




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 27 Jun 2018 15:20:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 27 11:20:52 2018
Received: from localhost ([127.0.0.1]:37809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fYCFY-0001XC-JZ
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2018 11:20:52 -0400
Received: from mail-yw0-f182.google.com ([209.85.161.182]:43818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fYCFX-0001Ww-3y
 for 31968 <at> debbugs.gnu.org; Wed, 27 Jun 2018 11:20:51 -0400
Received: by mail-yw0-f182.google.com with SMTP id r19-v6so827035ywc.10
 for <31968 <at> debbugs.gnu.org>; Wed, 27 Jun 2018 08:20:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=Il6ytUCIaQAgTl6vSqXUp9QWDaNF4telcQUB4OtlqGM=;
 b=PRXyVyZXo5S65F+abnqZdL8OHDV4A16x3XKnQiqchOvmVtVbGIZke78w/f35DGDFxe
 Iln9eg+A3c0XO4ZpUqaF1403OYuErjwIVzTqst61gxpCdIt2NH4+zyElktF9+dnj5FHg
 q7er04ecwJ7JThiM3/xhGKL3KvDYviS2V8ybLWFfxuDoQ3HTJuz8d+cuB28zUswVPeS2
 71ZmCyv+zEgpwVIwKBZ5Q63Rsf2YMaIgCaeK8DmtCVxtqYyx1Fkt2xohqaKru2Aq4d1p
 xdf9MvNXcX7aSs/6O7UUwcilNmVtMGPIkApWbeew3MboU0qGAFdeejj3PlCwclYyQF25
 37Mg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=Il6ytUCIaQAgTl6vSqXUp9QWDaNF4telcQUB4OtlqGM=;
 b=BvHJJSOtwhKk5v33t9Dz9zv5EQ/q4Ux4xCh1nRi+DVmSb8+TuQPd7HlKPlHEzj3Edg
 u15Bdl3fln7Eeb3veLD6yvEKuY1+FPDfJo5ZYBoJqW57Q2XobTsDnZmn068anYFfFj1N
 /OdG4WkL8m2gJ1jkdxPNEdn/d5Py0Z4oCg5D2xkL2Hpcvd2T9Vgav1omsv6lv04+XvGx
 8rUAmut2XFnQhocl9M3ThVf+hS7VtdCVZWRZC4vDnz8PappVRHUptQqogWPeKaJTBKMd
 mrpDo7gQUN3agWa/AhKo66KiQZDdwqQe8pQOjjWJgl6iWD+u/TH22dgRZk5WLSWCe/0U
 y3wg==
X-Gm-Message-State: APt69E18HsrtTtlKzPVu9JTymH1EAk9RCh/8iEr2SEknMqOv3vT/8igx
 qxipKoEJW+0SQgIa5UeeSiuekNFTkXfEf1Z5rz4=
X-Google-Smtp-Source: AAOMgpf6ssFkQp9mMbB9pPvZNUQWK6oIFjppIJM0+UciFoRm90E10IpK/8jc4PGvhNY5uvLmqTfDh+iPRxFT/nnFMAE=
X-Received: by 2002:a0d:f587:: with SMTP id
 e129-v6mr2884977ywf.277.1530112845394; 
 Wed, 27 Jun 2018 08:20:45 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a25:7d83:0:0:0:0:0 with HTTP; Wed, 27 Jun 2018 08:20:24
 -0700 (PDT)
In-Reply-To: <87bmbwpdir.fsf@HIDDEN>
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 <87bmbwpdir.fsf@HIDDEN>
From: Carlos Pita <carlosjosepita@HIDDEN>
Date: Wed, 27 Jun 2018 12:20:24 -0300
Message-ID: <CAELgYhepm0aS=i2GT3BfmQQS3OQ7PL92K12MQxPKVkb4PUpE7w@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
To: Robert Pluim <rpluim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Yes, but the point is to hook something like that on
maximized/unmaximized events, which I don't see how to do.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 27 Jun 2018 13:25:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 27 09:25:44 2018
Received: from localhost ([127.0.0.1]:36979 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fYAS6-00077D-DI
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2018 09:25:44 -0400
Received: from mail-wm0-f45.google.com ([74.125.82.45]:38328)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fYAS4-000770-K8
 for 31968 <at> debbugs.gnu.org; Wed, 27 Jun 2018 09:25:41 -0400
Received: by mail-wm0-f45.google.com with SMTP id 69-v6so5472372wmf.3
 for <31968 <at> debbugs.gnu.org>; Wed, 27 Jun 2018 06:25:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version;
 bh=paCCdajYq12hL3LfLE2Z3C136iJ95aTM6D+pWM4iQNY=;
 b=oZPXh4wstu1zz7qc1PSyzjt78Qr7jNVao5yVz4phTwrjRaEQcG4jU5I9LoyTZsBuHp
 j8TdulVKmNfs+aAZt9nslKyqlrm/ZVS1xEwpoS1Zaj/owDHKtHRA1+T6hIJJQAO2eZyp
 w8ugwZiyY9Koq/JG1OaANERHbPgbHOfFT3eukN2B5Cx93T02IqF62tULauiFW+J772p4
 gYkvhffDrGZ63DSP2Vsi3NQRf7HNwwaAbVV62BK2T6dNnph+jC9StW0rP9sgk4ryZRmM
 KmwhFotMJAWyv5rorTIOjZiteyjjKdLs4KmsbeWUmbrKqCD3XVhpNTbmRFT85CtNh/rN
 P9Uw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version;
 bh=paCCdajYq12hL3LfLE2Z3C136iJ95aTM6D+pWM4iQNY=;
 b=shVPVql8BKiCVfpTRtX7enLGvAZS0Bw0xBY7oadmMUL0e4ybIHZbVqFfZEf/ueLDIs
 k3PdY+HWd08tey/O5LS3qqDnPWP5Xtd/bnXg2TxdLcfVOjrDrBaVq3W2hCnRtctke3pB
 i7LZdeI0c6uTnDH2sDVPtItUbAd5LSHLJz7CixT4Q0sfjDsYg/bTu8I3/srMuoDOPULb
 AhYsSlQUASxTzuoOoAoj81UGp+z46i2/zn9ZFOwzbdBTrz7GCcTjFWufKzfhaaZuaksq
 kMyZD2UBLG3CVF2HPMkTf3ibEzCMXN9p/MAEk9Qz39ko9/Jv+3drds0v9fkY8D2t4P+W
 f8uw==
X-Gm-Message-State: APt69E3CEkQwDnCeStlbcquc2ZZzP7QVImwAgYFhsIeWO49ubLBWHmkq
 4IDqjLciZthiRI1uLxccor/S1Xvf3T0=
X-Google-Smtp-Source: AAOMgpdMLD2mN9m4oebozcckTga13cO7g6CQb8E12nJGopHFAFZ0YCxWFa2zQSoBpwrXupRG1/zP/w==
X-Received: by 2002:a1c:d045:: with SMTP id
 h66-v6mr4949102wmg.101.1530105934563; 
 Wed, 27 Jun 2018 06:25:34 -0700 (PDT)
Received: from rpluim-ubuntu (36.28.158.77.rev.sfr.net. [77.158.28.36])
 by smtp.gmail.com with ESMTPSA id s10-v6sm7836115wmb.12.2018.06.27.06.25.32
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 27 Jun 2018 06:25:33 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Carlos Pita <carlosjosepita@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
 <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Wed, 27 Jun 2018 15:25:32 +0200
In-Reply-To: <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
 (Carlos Pita's message of "Wed, 27 Jun 2018 10:02:26 -0300")
Message-ID: <87bmbwpdir.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Carlos Pita <carlosjosepita@HIDDEN> writes:

> One simple possibility is to set/unset
> the _GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED property. I think there is also a
> corresponding gtk api for that but maybe the property could be set using
> standard X machinery already exposed to elisp(?). Probably all this would
> be ineffective under waylan but it's simply enough to fix the problem for X
> with low effort.

This is not quite what you asked for, but have you tried:

(modify-frame-parameters nil '((undecorated t)))

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 27 Jun 2018 13:02:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 27 09:02:46 2018
Received: from localhost ([127.0.0.1]:36954 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fYA5u-0006YW-K0
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2018 09:02:46 -0400
Received: from mail-yw0-f173.google.com ([209.85.161.173]:46774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fYA5s-0006YF-HB
 for 31968 <at> debbugs.gnu.org; Wed, 27 Jun 2018 09:02:45 -0400
Received: by mail-yw0-f173.google.com with SMTP id g123-v6so653765ywf.13
 for <31968 <at> debbugs.gnu.org>; Wed, 27 Jun 2018 06:02:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=seb8pn/vgSuqMiZx8s7y98cd5I7wklXqCAzr95Gs7uM=;
 b=qvDnaK8LSTjYYvkb09m5GQ4SPj9aiJs6D6KEOjVb1ZqShNqNSTQ38KsM09aqGmSmlT
 nrTT36mRjSgFhtbmN/Jyazmee1VRlRRiv95MPHBpUeWdIlYJeJRrQMU7TD1nrmkJ7CJu
 azLV8DzHcDevtb+k5h6DaCQwczHy0Ac1VRnPSZmQ6ppjyy7BGdnD2hww46Ih4SjQu9Ws
 iTIAu2q+Ldo34idjhEet53v3TX7Mpngg6TQaCkehNmDVT9Ze90fj3oQ+LlWjUwb8Jpde
 xod9VrJq2Kr025LRoArXqRxFRtdZSH/y+Zlhdn6bw5USmDslvX7dmDyLydbGhTh6dmBH
 /UGg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=seb8pn/vgSuqMiZx8s7y98cd5I7wklXqCAzr95Gs7uM=;
 b=IFg0Cqj/1lSy6y5Yaqly4s2qIiUJivlEFkJh09m3WFRi2zKreXCrcgt9xOZQXkFGKd
 9vN2LgwtWXYv1W4Ldn7+c8ZiuDskcZ5xkTVb0LHC378ospxCII5hBg9y80TfquRt0zOu
 o2I4cpjxqTg3v1nmk+WY8Eegqqo31ZXYjCUagzfYIvNTOmj5P2ESVBDn1sk+naxpIXmZ
 QGfZjc4cfmX9Qi3z6SQG/RFzW8jyl6e502CS7NV8oEOQtReK5ksZS+9sbuOI6Sr4CRyp
 2VKyb33YUZYpO03epd2Bd7kk0YfPTwvTIymm6/AIhBuQBVYVTwct6CFJDka8CrP3v5DB
 ENYg==
X-Gm-Message-State: APt69E0j/zh3BPbZIX7RENqWLC4+AKkwBnxYpOxChjWWGB7iIOPlCSSG
 kqu2LMWwGxC8TylVnf8QGLQEzLBOSUV7DC6t8m4=
X-Google-Smtp-Source: ADUXVKJd4XEHGZytHdIccaWciL5un/5CbQVCCDShP4N+a4PMgy/hxfhstBKitPuTNWHSqZLhpmRtgxzLV2ZXcc3YqZQ=
X-Received: by 2002:a0d:d98f:: with SMTP id
 b137-v6mr2702431ywe.64.1530104558937; 
 Wed, 27 Jun 2018 06:02:38 -0700 (PDT)
MIME-Version: 1.0
References: <877emm1trq.fsf@HIDDEN> <87fu18pmo7.fsf@HIDDEN>
In-Reply-To: <87fu18pmo7.fsf@HIDDEN>
From: Carlos Pita <carlosjosepita@HIDDEN>
Date: Wed, 27 Jun 2018 10:02:26 -0300
Message-ID: <CAELgYhcXjyk+5699tWQKj0QR7P29-FBeWpfaGghryzwUZrXMQg@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
To: Robert Pluim <rpluim@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000b46953056f9f3a0c"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000b46953056f9f3a0c
Content-Type: text/plain; charset="UTF-8"

One simple possibility is to set/unset
the _GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED property. I think there is also a
corresponding gtk api for that but maybe the property could be set using
standard X machinery already exposed to elisp(?). Probably all this would
be ineffective under waylan but it's simply enough to fix the problem for X
with low effort.

--000000000000b46953056f9f3a0c
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">One simple possibility is to set/unset the=C2=A0_GTK_HIDE=
_TITLEBAR_WHEN_MAXIMIZED property. I think there is also a corresponding gt=
k api for that but maybe the property could be set using standard X machine=
ry already exposed to elisp(?). Probably all this would be ineffective unde=
r waylan but it&#39;s simply enough to fix the problem for X with low effor=
t.</div>

--000000000000b46953056f9f3a0c--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at 31968 <at> debbugs.gnu.org:


Received: (at 31968) by debbugs.gnu.org; 27 Jun 2018 10:08:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 27 06:08:02 2018
Received: from localhost ([127.0.0.1]:36885 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fY7Mo-000092-DE
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2018 06:08:02 -0400
Received: from mail-wm0-f54.google.com ([74.125.82.54]:37316)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fY7Mn-00008U-G4
 for 31968 <at> debbugs.gnu.org; Wed, 27 Jun 2018 06:08:01 -0400
Received: by mail-wm0-f54.google.com with SMTP id n17-v6so4287822wmh.2
 for <31968 <at> debbugs.gnu.org>; Wed, 27 Jun 2018 03:08:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=MpKFhxXRDXtVvn4yNCH3fgXWcWnDZyVYHIqBjy3FeTc=;
 b=s4lIdLEvDL05GHbNLfXQGz8uz+FBLejKL6Kk2dT13v+AXH3A6GVaMuJqG14NHiDz23
 ikw8VHG7a+QptDPTrWRekRNAG2K5P+asGEMl3jKFMTKeaa4y06yyB475Hg0Fptou7Pcg
 nPnN5RzlqEj9c7FGPW9goDJ9y3WlAuYeWsj++B8KtfPBAm9EKt6DnPhTZgzjIZaKXi8Z
 HgJmEo8g+xM6as2tWhuh5kWdy2sQP1TxAGuXd/e6jzjGIIvQnwP6U1mBz0s/TcKGWc8Q
 mRFfVdonWy3qXeA4AdZyvBE2kwFmEiQcQ/ICcrbb5DsPFEA79l8o/S8FCACo6VHNCAl5
 vzlA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=MpKFhxXRDXtVvn4yNCH3fgXWcWnDZyVYHIqBjy3FeTc=;
 b=DjQTWAsDezkXEduYyupVts2oqd9Xft0JwF+ekReHxIMIxaG/5/lYwy3Z20BJ5eBdZV
 3YR5kRYdR5Dy+NIT+bm1PV4fPGMlBGHCYtI57wN2GVJBwAW+Cqxr2CKiCSfxjasb3Fzy
 VFYnwZ+vmZhFTMMTmUbcZD0Auv7mW8q+DJxEGJ1tT5dcFewrwUiKrR17K0LT2Ym2WYCn
 tXHrSOp/PVS2cXAHTBx5eK0hZK6FIa0W4+qCfsUAaRw+QToVKXCnM7UqKNsHEjXbw39d
 IDe+tGSpCguWjhlfnzhLdWTspetda4L5JuQu2bbkvffVkpSY31DD+HJqA9LcbJpOyCUE
 cQsQ==
X-Gm-Message-State: APt69E0oNvPZ6lq1rWYbrRZV3HigTEptBh5pWpqO4JxNtSZYtWZwGfNT
 iJDEO7U8A8UJ+7QFmDdVdM43opdjf7A=
X-Google-Smtp-Source: AAOMgpc+erzwlVTtBd1gp6vjncg0QZ/Mrg3CFDOIue9P+AbjYDdUjPRdH+jik09fvKE1zQC6An2AHA==
X-Received: by 2002:a1c:8789:: with SMTP id
 j131-v6mr4205040wmd.147.1530094075453; 
 Wed, 27 Jun 2018 03:07:55 -0700 (PDT)
Received: from rpluim-ubuntu (36.28.158.77.rev.sfr.net. [77.158.28.36])
 by smtp.gmail.com with ESMTPSA id u6-v6sm3852300wrm.60.2018.06.27.03.07.54
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 27 Jun 2018 03:07:54 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Carlos Pita <carlosjosepita@HIDDEN>
Subject: Re: bug#31968: 26.1.50;
 Allow to hide title bar on maximize (gtk/gnome/csd)
References: <877emm1trq.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Wed, 27 Jun 2018 12:07:52 +0200
In-Reply-To: <877emm1trq.fsf@HIDDEN> (Carlos Pita's message of "Mon, 25 Jun
 2018 17:43:53 -0300")
Message-ID: <87fu18pmo7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31968
Cc: 31968 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Carlos Pita <carlosjosepita@HIDDEN> writes:

> In gnome decorations are considered part of the client (even classic
> titlebars) in the sense that it's the client who decides to show them or
> not (see [1] and [2]). In waylan there is no other way around, but they
> also decided to pretend X apps behave like that. This is very frustrating
> since the reality is that many clients don't work in that way yet.
>
> So this is a request to add a gtk-hide-titlebar-if-maximized or similar
> variable since I assume emacs won't be using proper CSDs for a long
> time, maybe for good. Without that variable it's not possible to achieve
> the same humble goal in the strange new world of gnome, at least not with=
out
> lots of xprop, xwinifo, xdotool, wmctrl, etc. horrible hacks. As I said,
> it's supposed to be the client who knows what to show and when to show
> it.

Could you explain in a bit more detail what GTK call(s) would need to
change in order to implement such a variable? That would allow us to
evaluate the effort (although personally I=CA=BCd rather spend effort
towards implementing GTK as a native frame type).

Regards

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jun 2018 20:44:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 25 16:44:17 2018
Received: from localhost ([127.0.0.1]:35323 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fXYLQ-00073l-W7
	for submit <at> debbugs.gnu.org; Mon, 25 Jun 2018 16:44:17 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46198)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fXYLP-00073Z-BT
 for submit <at> debbugs.gnu.org; Mon, 25 Jun 2018 16:44:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fXYLI-0003U2-Ip
 for submit <at> debbugs.gnu.org; Mon, 25 Jun 2018 16:44:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:58527)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <carlosjosepita@HIDDEN>)
 id 1fXYLI-0003Ty-Fe
 for submit <at> debbugs.gnu.org; Mon, 25 Jun 2018 16:44:08 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37164)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fXYLG-0007mt-Ju
 for bug-gnu-emacs@HIDDEN; Mon, 25 Jun 2018 16:44:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fXYLD-0003SL-EV
 for bug-gnu-emacs@HIDDEN; Mon, 25 Jun 2018 16:44:06 -0400
Received: from mail-qk0-x234.google.com ([2607:f8b0:400d:c09::234]:38739)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <carlosjosepita@HIDDEN>)
 id 1fXYLD-0003Qg-6J
 for bug-gnu-emacs@HIDDEN; Mon, 25 Jun 2018 16:44:03 -0400
Received: by mail-qk0-x234.google.com with SMTP id y4-v6so8320933qka.5
 for <bug-gnu-emacs@HIDDEN>; Mon, 25 Jun 2018 13:44:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=3kFubEkwYjZJjLFQNU4sj/M59wFCaXsIz3L3/2b/6yY=;
 b=KdjgY8TqM3Ht9DdTzNJu4pv9BQ5Kh3Wp/7g0HQ823qWy7u1wUVA/X1zAYdsyw558Lo
 Xc9cvfeQv1xVzepTXlz4TdjMuBCHoUk85jOG1frd+BSskgOelpziI5W+acfyrvt0aqur
 vqI/XrCSHD/fnKziLELu5PUcARZcFPsa9Et+0h/J/beWEVaukDHRzU7bGpm/JO0njDXY
 elPcrYZW3yWa4bHCiGNIsD5B8Oa9QKNbjN7viB9EHuxPKad1oXxGJ9/8B2lSp80LQVw5
 H+P8WQIffEu4yhgRmbTPT6CX0iAun36aDMVYAvOe5dxGnX8XScEwJC7xCgGzoMT6Ko0j
 xPrg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=3kFubEkwYjZJjLFQNU4sj/M59wFCaXsIz3L3/2b/6yY=;
 b=RBhmqyS7M9nSFd+NQMzzdBrK00QX21QCxhBUw6ftBfK1bSZ5M8hMvFFxwWYlsQQNK6
 qQSjoviRdvZwp5rN1+DYCRQHGSWgpYBkRWoiCdacw52JUMLlfyWDIxecPvUF/LS25lHi
 ib1hibFrgK8JkaokGJQXnY1QyKjrGbfOGJg93eIVoh+e1+u+LLctuMwXR8GbZpps7e3b
 hsKFh5gtk6V30PcktRDvGOkETB+6byhMwLe8SJpvK2UvCRNS2EGYdYg1D2mQg9jQhv2V
 ge6SBlSg/0UehvNbzOX072C0XDqRmiidSHKbArlDSOTzy/IZq/SSU7dl4mF0gQCVE6+U
 WrSw==
X-Gm-Message-State: APt69E2lUQj5H/ZYzqcA9/ScEcgiKlGjCXdH8+LVQiQRo8sxeACFubhg
 MHBm+NkvRQSUEoeP7DpOZ29EmQ==
X-Google-Smtp-Source: ADUXVKLyiEitG+YeyV8bikbJ8TyLvu405B+zfjSj7dHRLYaTnfPQ5hcloVp7U00lraEfgpss7QI6Ng==
X-Received: by 2002:a37:1456:: with SMTP id
 e83-v6mr9422952qkh.69.1529959441748; 
 Mon, 25 Jun 2018 13:44:01 -0700 (PDT)
Received: from carlos ([190.244.190.18])
 by smtp.gmail.com with ESMTPSA id f10-v6sm8968630qka.18.2018.06.25.13.44.00
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 25 Jun 2018 13:44:01 -0700 (PDT)
From: Carlos Pita <carlosjosepita@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.1.50; Allow to hide title bar on maximize (gtk/gnome/csd)
Date: Mon, 25 Jun 2018 17:43:53 -0300
Message-ID: <877emm1trq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

In gnome decorations are considered part of the client (even classic
titlebars) in the sense that it's the client who decides to show them or
not (see [1] and [2]). In waylan there is no other way around, but they
also decided to pretend X apps behave like that. This is very frustrating
since the reality is that many clients don't work in that way yet.

So this is a request to add a gtk-hide-titlebar-if-maximized or similar
variable since I assume emacs won't be using proper CSDs for a long
time, maybe for good. Without that variable it's not possible to achieve
the same humble goal in the strange new world of gnome, at least not without
lots of xprop, xwinifo, xdotool, wmctrl, etc. horrible hacks. As I said,
it's supposed to be the client who knows what to show and when to show
it.

---

[1] https://blogs.gnome.org/tbernard/2018/01/26/csd-initiative/
[2] https://bugzilla.gnome.org/show_bug.cgi?id=775061

In GNU Emacs 26.1.50 (build 3, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
 of 2018-06-18 built on carlos
Repository revision: 0a8b7f365cbc8de02ddb4e806dd76b1bf6302565
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description:	Manjaro Linux

Recent messages:
Loading ido-completing-read+...done
Loading paren...done
Loading winner...done
Loading xclip...done
Loading a theme can run Lisp code.  Really load? (y or n) y
Treat this theme as safe in future sessions? (y or n) y
[yas] Prepared just-in-time loading of snippets successfully.
Saving file /home/carlos/.emacs.d/init.el...
Wrote /home/carlos/.emacs.d/init.el [2 times]
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --prefix=/home/carlos/Local/stow/emacs-26
 --libexecdir=/home/carlos/Local/stow/emacs-26/lib --with-x-toolkit=gtk3
 --with-xft --with-modules'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GSETTINGS NOTIFY ACL GNUTLS
LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11
MODULES THREADS LIBSYSTEMD LCMS2

Important settings:
  value of $LC_MONETARY: en_US.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  display-line-numbers-mode: t
  flymake-mode: t
  pyvenv-mode: t
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  xclip-mode: t
  winner-mode: t
  show-paren-mode: t
  ido-ubiquitous-mode: t
  ido-everywhere: t
  global-company-mode: t
  company-mode: t
  display-battery-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
display-line-numbers checkdoc pp cl-extra yasnippet
highlight-indentation flymake-proc flymake warnings help-fns radix-tree
help-mode elpy find-file-in-project ivy delsel ivy-overlay ffap
thingatpt elpy-shell pyvenv esh-var esh-io esh-cmd esh-opt esh-ext
esh-proc esh-arg esh-groups eshell esh-module esh-mode esh-util
elpy-profile elpy-django elpy-refactor subr-x python tramp-sh tramp
tramp-compat tramp-loaddefs trampver ucs-normalize shell pcomplete
parse-time format-spec advice json map grep compile comint ansi-color
files-x doom-themes-org windmove vc-git diff-mode easy-mmode
company-oddmuse company-keywords company-etags etags xref project
company-gtags company-dabbrev-code company-dabbrev company-files
company-capf company-cmake company-xcode company-clang company-semantic
company-eclim company-template company-css company-nxml company-bbdb
doom-tomorrow-night-theme doom-themes doom-themes-common elec-pair xclip
winner ring paren ido-completing-read+ memoize s cus-edit minibuf-eldef
ido gnus nnheader gnus-util rmail rmail-loaddefs rfc2047 rfc2045
ietf-drums mail-utils mm-util mail-prsvr wid-edit company edmacro kmacro
pcase battery cus-start cus-load finder-inf info package easymenu
epg-config url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib server time-date mule-util tooltip
eldoc electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 446497 14130)
 (symbols 48 36746 2)
 (miscs 40 74 141)
 (strings 32 98962 3555)
 (string-bytes 1 2638751)
 (vectors 16 55867)
 (vector-slots 8 983572 13084)
 (floats 8 276 155)
 (intervals 56 304 0)
 (buffers 992 14))




Acknowledgement sent to Carlos Pita <carlosjosepita@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#31968; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 4 Sep 2020 04:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.